!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 307

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1782)
  integer, parameter :: nGC_12460 = 1
  integer, parameter :: nGC_12461 = 2
  integer, parameter :: nGC_13116 = 3
  integer, parameter :: nGC_12510 = 4
  integer, parameter :: nGC_12516 = 5
  integer, parameter :: nGC_12514 = 6
  integer, parameter :: nGC_12515 = 7
  integer, parameter :: nGC_12648 = 8
  integer, parameter :: nGC_12649 = 9
  integer, parameter :: nGC_12640 = 10
  integer, parameter :: nGC_12641 = 11
  integer, parameter :: nGC_12646 = 12
  integer, parameter :: nGC_12647 = 13
  integer, parameter :: nGC_307 = 14
  integer, parameter :: nGC_71 = 15
  integer, parameter :: nGC_12468 = 16
  integer, parameter :: nGC_12469 = 17
  integer, parameter :: nGC_349 = 18
  integer, parameter :: nGC_345 = 19
  integer, parameter :: nGC_343 = 20
  integer, parameter :: nGC_341 = 21
  integer, parameter :: nGC_168 = 22
  integer, parameter :: nGC_169 = 23
  integer, parameter :: nGC_162 = 24
  integer, parameter :: nGC_163 = 25
  integer, parameter :: nGC_160 = 26
  integer, parameter :: nGC_161 = 27
  integer, parameter :: nGC_166 = 28
  integer, parameter :: nGC_167 = 29
  integer, parameter :: nGC_164 = 30
  integer, parameter :: nGC_165 = 31
  integer, parameter :: nGC_12505 = 32
  integer, parameter :: nGC_12507 = 33
  integer, parameter :: nGC_12506 = 34
  integer, parameter :: nGC_MHL = 35
  integer, parameter :: nGC_MHH = 36
  integer, parameter :: nGC_13189 = 37
  integer, parameter :: nGC_12479 = 38
  integer, parameter :: nGC_12478 = 39
  integer, parameter :: nGC_12471 = 40
  integer, parameter :: nGC_12470 = 41
  integer, parameter :: nGC_12472 = 42
  integer, parameter :: nGC_12477 = 43
  integer, parameter :: nGC_12476 = 44
  integer, parameter :: nGC_12659 = 45
  integer, parameter :: nGC_12658 = 46
  integer, parameter :: nGC_12655 = 47
  integer, parameter :: nGC_12657 = 48
  integer, parameter :: nGC_12656 = 49
  integer, parameter :: nGC_12651 = 50
  integer, parameter :: nGC_12650 = 51
  integer, parameter :: nGC_12652 = 52
  integer, parameter :: nGC_220 = 53
  integer, parameter :: nGC_223 = 54
  integer, parameter :: nGC_222 = 55
  integer, parameter :: nGC_225 = 56
  integer, parameter :: nGC_224 = 57
  integer, parameter :: nGC_227 = 58
  integer, parameter :: nGC_226 = 59
  integer, parameter :: nGC_228 = 60
  integer, parameter :: nGC_21017 = 61
  integer, parameter :: nGC_359 = 62
  integer, parameter :: nGC_355 = 63
  integer, parameter :: nGC_357 = 64
  integer, parameter :: nGC_351 = 65
  integer, parameter :: nGC_353 = 66
  integer, parameter :: nGC_179 = 67
  integer, parameter :: nGC_178 = 68
  integer, parameter :: nGC_171 = 69
  integer, parameter :: nGC_170 = 70
  integer, parameter :: nGC_173 = 71
  integer, parameter :: nGC_172 = 72
  integer, parameter :: nGC_175 = 73
  integer, parameter :: nGC_174 = 74
  integer, parameter :: nGC_177 = 75
  integer, parameter :: nGC_176 = 76
  integer, parameter :: nGC_135 = 77
  integer, parameter :: nGC_12310 = 78
  integer, parameter :: nGC_12311 = 79
  integer, parameter :: nGC_12313 = 80
  integer, parameter :: nGC_12317 = 81
  integer, parameter :: nGC_12318 = 82
  integer, parameter :: nGC_12319 = 83
  integer, parameter :: nGC_13260 = 84
  integer, parameter :: nGC_12408 = 85
  integer, parameter :: nGC_24 = 86
  integer, parameter :: nGC_12404 = 87
  integer, parameter :: nGC_12405 = 88
  integer, parameter :: nGC_12406 = 89
  integer, parameter :: nGC_25 = 90
  integer, parameter :: nGC_12400 = 91
  integer, parameter :: nGC_12401 = 92
  integer, parameter :: nGC_12402 = 93
  integer, parameter :: nGC_12403 = 94
  integer, parameter :: nGC_99 = 95
  integer, parameter :: nGC_98 = 96
  integer, parameter :: nGC_97 = 97
  integer, parameter :: nGC_96 = 98
  integer, parameter :: nGC_95 = 99
  integer, parameter :: nGC_94 = 100
  integer, parameter :: nGC_93 = 101
  integer, parameter :: nGC_92 = 102
  integer, parameter :: nGC_91 = 103
  integer, parameter :: nGC_90 = 104
  integer, parameter :: nGC_75 = 105
  integer, parameter :: nGC_74 = 106
  integer, parameter :: nGC_77 = 107
  integer, parameter :: nGC_76 = 108
  integer, parameter :: nGC_70 = 109
  integer, parameter :: nGC_73 = 110
  integer, parameter :: nGC_72 = 111
  integer, parameter :: nGC_79 = 112
  integer, parameter :: nGC_78 = 113
  integer, parameter :: nGC_218 = 114
  integer, parameter :: nGC_219 = 115
  integer, parameter :: nGC_214 = 116
  integer, parameter :: nGC_215 = 117
  integer, parameter :: nGC_216 = 118
  integer, parameter :: nGC_217 = 119
  integer, parameter :: nGC_210 = 120
  integer, parameter :: nGC_211 = 121
  integer, parameter :: nGC_212 = 122
  integer, parameter :: nGC_213 = 123
  integer, parameter :: nGC_369 = 124
  integer, parameter :: nGC_363 = 125
  integer, parameter :: nGC_144 = 126
  integer, parameter :: nGC_145 = 127
  integer, parameter :: nGC_146 = 128
  integer, parameter :: nGC_147 = 129
  integer, parameter :: nGC_140 = 130
  integer, parameter :: nGC_141 = 131
  integer, parameter :: nGC_142 = 132
  integer, parameter :: nGC_143 = 133
  integer, parameter :: nGC_148 = 134
  integer, parameter :: nGC_149 = 135
  integer, parameter :: nGC_365 = 136
  integer, parameter :: nGC_MI = 137
  integer, parameter :: nGC_MM = 138
  integer, parameter :: nGC_MC = 139
  integer, parameter :: nGC_MB = 140
  integer, parameter :: nGC_ME = 141
  integer, parameter :: nGC_MD = 142
  integer, parameter :: nGC_MZ = 143
  integer, parameter :: nGC_MS = 144
  integer, parameter :: nGC_MW = 145
  integer, parameter :: nGC_MU = 146
  integer, parameter :: nGC_MT = 147
  integer, parameter :: nGC_12303 = 148
  integer, parameter :: nGC_12302 = 149
  integer, parameter :: nGC_12301 = 150
  integer, parameter :: nGC_12300 = 151
  integer, parameter :: nGC_12307 = 152
  integer, parameter :: nGC_12306 = 153
  integer, parameter :: nGC_12305 = 154
  integer, parameter :: nGC_12304 = 155
  integer, parameter :: nGC_12309 = 156
  integer, parameter :: nGC_12308 = 157
  integer, parameter :: nGC_13254 = 158
  integer, parameter :: nGC_12419 = 159
  integer, parameter :: nGC_12418 = 160
  integer, parameter :: nGC_12417 = 161
  integer, parameter :: nGC_12416 = 162
  integer, parameter :: nGC_12415 = 163
  integer, parameter :: nGC_12414 = 164
  integer, parameter :: nGC_12413 = 165
  integer, parameter :: nGC_12412 = 166
  integer, parameter :: nGC_12411 = 167
  integer, parameter :: nGC_12410 = 168
  integer, parameter :: nGC_88 = 169
  integer, parameter :: nGC_89 = 170
  integer, parameter :: nGC_12436 = 171
  integer, parameter :: nGC_80 = 172
  integer, parameter :: nGC_81 = 173
  integer, parameter :: nGC_82 = 174
  integer, parameter :: nGC_83 = 175
  integer, parameter :: nGC_84 = 176
  integer, parameter :: nGC_85 = 177
  integer, parameter :: nGC_86 = 178
  integer, parameter :: nGC_87 = 179
  integer, parameter :: nGC_66 = 180
  integer, parameter :: nGC_67 = 181
  integer, parameter :: nGC_64 = 182
  integer, parameter :: nGC_65 = 183
  integer, parameter :: nGC_62 = 184
  integer, parameter :: nGC_63 = 185
  integer, parameter :: nGC_60 = 186
  integer, parameter :: nGC_61 = 187
  integer, parameter :: nGC_68 = 188
  integer, parameter :: nGC_69 = 189
  integer, parameter :: nGC_22954 = 190
  integer, parameter :: nGC_209 = 191
  integer, parameter :: nGC_208 = 192
  integer, parameter :: nGC_203 = 193
  integer, parameter :: nGC_202 = 194
  integer, parameter :: nGC_201 = 195
  integer, parameter :: nGC_200 = 196
  integer, parameter :: nGC_207 = 197
  integer, parameter :: nGC_206 = 198
  integer, parameter :: nGC_205 = 199
  integer, parameter :: nGC_204 = 200
  integer, parameter :: nGC_377 = 201
  integer, parameter :: nGC_20761 = 202
  integer, parameter :: nGC_20762 = 203
  integer, parameter :: nGC_371 = 204
  integer, parameter :: nGC_557 = 205
  integer, parameter :: nGC_153 = 206
  integer, parameter :: nGC_152 = 207
  integer, parameter :: nGC_151 = 208
  integer, parameter :: nGC_150 = 209
  integer, parameter :: nGC_157 = 210
  integer, parameter :: nGC_156 = 211
  integer, parameter :: nGC_155 = 212
  integer, parameter :: nGC_154 = 213
  integer, parameter :: nGC_159 = 214
  integer, parameter :: nGC_158 = 215
  integer, parameter :: nGC_12336 = 216
  integer, parameter :: nGC_12334 = 217
  integer, parameter :: nGC_12335 = 218
  integer, parameter :: nGC_12330 = 219
  integer, parameter :: nGC_12331 = 220
  integer, parameter :: nGC_13245 = 221
  integer, parameter :: nGC_13243 = 222
  integer, parameter :: nGC_13242 = 223
  integer, parameter :: nGC_13333 = 224
  integer, parameter :: nGC_13332 = 225
  integer, parameter :: nGC_13335 = 226
  integer, parameter :: nGC_13337 = 227
  integer, parameter :: nGC_13336 = 228
  integer, parameter :: nGC_13339 = 229
  integer, parameter :: nGC_13338 = 230
  integer, parameter :: nGC_12686 = 231
  integer, parameter :: nGC_12687 = 232
  integer, parameter :: nGC_12680 = 233
  integer, parameter :: nGC_12681 = 234
  integer, parameter :: nGC_48 = 235
  integer, parameter :: nGC_12688 = 236
  integer, parameter :: nGC_49 = 237
  integer, parameter :: nGC_53 = 238
  integer, parameter :: nGC_27975 = 239
  integer, parameter :: nGC_51 = 240
  integer, parameter :: nGC_50 = 241
  integer, parameter :: nGC_57 = 242
  integer, parameter :: nGC_56 = 243
  integer, parameter :: nGC_55 = 244
  integer, parameter :: nGC_54 = 245
  integer, parameter :: nGC_59 = 246
  integer, parameter :: nGC_58 = 247
  integer, parameter :: nGC_27978 = 248
  integer, parameter :: nGC_20109 = 249
  integer, parameter :: nGC_TS_GC_224_Hl = 250
  integer, parameter :: nGC_20801 = 251
  integer, parameter :: nGC_20800 = 252
  integer, parameter :: nGC_20803 = 253
  integer, parameter :: nGC_20802 = 254
  integer, parameter :: nGC_309 = 255
  integer, parameter :: nGC_195 = 256
  integer, parameter :: nGC_TS_GC_227_Hh = 257
  integer, parameter :: nGC_TS_GC_215_Hh = 258
  integer, parameter :: nGC_637 = 259
  integer, parameter :: nGC_12500 = 260
  integer, parameter :: nGC_13259 = 261
  integer, parameter :: nGC_12435 = 262
  integer, parameter :: nGC_12437 = 263
  integer, parameter :: nGC_12438 = 264
  integer, parameter :: nGC_13344 = 265
  integer, parameter :: nGC_13345 = 266
  integer, parameter :: nGC_13346 = 267
  integer, parameter :: nGC_13347 = 268
  integer, parameter :: nGC_13340 = 269
  integer, parameter :: nGC_13341 = 270
  integer, parameter :: nGC_13342 = 271
  integer, parameter :: nGC_13343 = 272
  integer, parameter :: nGC_13348 = 273
  integer, parameter :: nGC_13349 = 274
  integer, parameter :: nGC_12699 = 275
  integer, parameter :: nGC_12698 = 276
  integer, parameter :: nGC_12693 = 277
  integer, parameter :: nGC_12692 = 278
  integer, parameter :: nGC_12694 = 279
  integer, parameter :: nGC_12329 = 280
  integer, parameter :: nGC_12321 = 281
  integer, parameter :: nGC_12320 = 282
  integer, parameter :: nGC_12323 = 283
  integer, parameter :: nGC_12322 = 284
  integer, parameter :: nGC_12325 = 285
  integer, parameter :: nGC_12324 = 286
  integer, parameter :: nGC_12508 = 287
  integer, parameter :: nGC_44 = 288
  integer, parameter :: nGC_45 = 289
  integer, parameter :: nGC_46 = 290
  integer, parameter :: nGC_47 = 291
  integer, parameter :: nGC_40 = 292
  integer, parameter :: nGC_41 = 293
  integer, parameter :: nGC_42 = 294
  integer, parameter :: nGC_43 = 295
  integer, parameter :: nGC_TS_GC_203_Hh = 296
  integer, parameter :: nGC_TS_GC_212_Hl = 297
  integer, parameter :: nGC_20602 = 298
  integer, parameter :: nGC_19675 = 299
  integer, parameter :: nGC_24045 = 300
  integer, parameter :: nGC_TS_GC_204_Hl = 301
  integer, parameter :: nGC_311 = 302
  integer, parameter :: nGC_313 = 303
  integer, parameter :: nGC_315 = 304
  integer, parameter :: nGC_317 = 305
  integer, parameter :: nGC_12609 = 306
  integer, parameter :: nGC_19484 = 307
  integer, parameter :: nGC_25884 = 308
  integer, parameter :: nGC_12598 = 309
  integer, parameter :: nGC_12599 = 310
  integer, parameter :: nGC_12592 = 311
  integer, parameter :: nGC_12590 = 312
  integer, parameter :: nGC_12591 = 313
  integer, parameter :: nGC_12597 = 314
  integer, parameter :: nGC_13351 = 315
  integer, parameter :: nGC_13350 = 316
  integer, parameter :: nGC_12354 = 317
  integer, parameter :: nGC_12355 = 318
  integer, parameter :: nGC_12356 = 319
  integer, parameter :: nGC_12351 = 320
  integer, parameter :: nGC_12352 = 321
  integer, parameter :: nGC_12353 = 322
  integer, parameter :: nGC_39 = 323
  integer, parameter :: nGC_38 = 324
  integer, parameter :: nGC_31 = 325
  integer, parameter :: nGC_30 = 326
  integer, parameter :: nGC_33 = 327
  integer, parameter :: nGC_32 = 328
  integer, parameter :: nGC_35 = 329
  integer, parameter :: nGC_34 = 330
  integer, parameter :: nGC_37 = 331
  integer, parameter :: nGC_36 = 332
  integer, parameter :: nGC_TS_GC_223_Hh = 333
  integer, parameter :: nGC_20128 = 334
  integer, parameter :: nGC_20129 = 335
  integer, parameter :: nGC_20126 = 336
  integer, parameter :: nGC_20127 = 337
  integer, parameter :: nGC_19830 = 338
  integer, parameter :: nGC_TS_GC_195_Hh = 339
  integer, parameter :: nGC_20753 = 340
  integer, parameter :: nGC_20755 = 341
  integer, parameter :: nGC_20754 = 342
  integer, parameter :: nGC_20756 = 343
  integer, parameter :: nGC_329 = 344
  integer, parameter :: nGC_325 = 345
  integer, parameter :: nGC_327 = 346
  integer, parameter :: nGC_321 = 347
  integer, parameter :: nGC_323 = 348
  integer, parameter :: nGC_MTA = 349
  integer, parameter :: nGC_188 = 350
  integer, parameter :: nGC_189 = 351
  integer, parameter :: nGC_180 = 352
  integer, parameter :: nGC_181 = 353
  integer, parameter :: nGC_182 = 354
  integer, parameter :: nGC_183 = 355
  integer, parameter :: nGC_184 = 356
  integer, parameter :: nGC_185 = 357
  integer, parameter :: nGC_186 = 358
  integer, parameter :: nGC_187 = 359
  integer, parameter :: nGC_TS_GC_92_Hl = 360
  integer, parameter :: nGC_TS_GC_92_Hh = 361
  integer, parameter :: nGC_19584 = 362
  integer, parameter :: nGC_19585 = 363
  integer, parameter :: nGC_19582 = 364
  integer, parameter :: nGC_19583 = 365
  integer, parameter :: nGC_509 = 366
  integer, parameter :: nGC_12589 = 367
  integer, parameter :: nGC_12588 = 368
  integer, parameter :: nGC_12585 = 369
  integer, parameter :: nGC_12584 = 370
  integer, parameter :: nGC_12587 = 371
  integer, parameter :: nGC_12586 = 372
  integer, parameter :: nGC_12581 = 373
  integer, parameter :: nGC_12583 = 374
  integer, parameter :: nGC_12582 = 375
  integer, parameter :: nGC_TS_GC_179_Hl = 376
  integer, parameter :: nGC_TS_GC_184_Hh = 377
  integer, parameter :: nGC_12509 = 378
  integer, parameter :: nGC_13182 = 379
  integer, parameter :: nGC_13183 = 380
  integer, parameter :: nGC_13180 = 381
  integer, parameter :: nGC_13181 = 382
  integer, parameter :: nGC_13184 = 383
  integer, parameter :: nGC_13168 = 384
  integer, parameter :: nGC_13169 = 385
  integer, parameter :: nGC_13160 = 386
  integer, parameter :: nGC_13161 = 387
  integer, parameter :: nGC_13162 = 388
  integer, parameter :: nGC_13163 = 389
  integer, parameter :: nGC_13164 = 390
  integer, parameter :: nGC_13165 = 391
  integer, parameter :: nGC_13166 = 392
  integer, parameter :: nGC_13167 = 393
  integer, parameter :: nGC_12344 = 394
  integer, parameter :: nGC_12343 = 395
  integer, parameter :: nGC_12342 = 396
  integer, parameter :: nGC_12341 = 397
  integer, parameter :: nGC_12340 = 398
  integer, parameter :: nGC_28 = 399
  integer, parameter :: nGC_29 = 400
  integer, parameter :: nGC_22 = 401
  integer, parameter :: nGC_23 = 402
  integer, parameter :: nGC_20 = 403
  integer, parameter :: nGC_21 = 404
  integer, parameter :: nGC_26 = 405
  integer, parameter :: nGC_27 = 406
  integer, parameter :: nGC_12486 = 407
  integer, parameter :: nGC_13178 = 408
  integer, parameter :: nGC_20138 = 409
  integer, parameter :: nGC_20135 = 410
  integer, parameter :: nGC_20134 = 411
  integer, parameter :: nGC_TS_GC_164_Hl = 412
  integer, parameter :: nGC_339 = 413
  integer, parameter :: nGC_TS_GC_32_Hh = 414
  integer, parameter :: nGC_331 = 415
  integer, parameter :: nGC_337 = 416
  integer, parameter :: nGC_12370 = 417
  integer, parameter :: nGC_335 = 418
  integer, parameter :: nGC_12376 = 419
  integer, parameter :: nGC_12377 = 420
  integer, parameter :: nGC_12374 = 421
  integer, parameter :: nGC_12375 = 422
  integer, parameter :: nGC_197 = 423
  integer, parameter :: nGC_196 = 424
  integer, parameter :: nGC_19267 = 425
  integer, parameter :: nGC_194 = 426
  integer, parameter :: nGC_193 = 427
  integer, parameter :: nGC_192 = 428
  integer, parameter :: nGC_191 = 429
  integer, parameter :: nGC_190 = 430
  integer, parameter :: nGC_19268 = 431
  integer, parameter :: nGC_199 = 432
  integer, parameter :: nGC_198 = 433
  integer, parameter :: nGC_17 = 434
  integer, parameter :: nGC_16 = 435
  integer, parameter :: nGC_607 = 436
  integer, parameter :: nGC_15 = 437
  integer, parameter :: nGC_11 = 438
  integer, parameter :: nGC_21522 = 439
  integer, parameter :: nGC_513 = 440
  integer, parameter :: nGC_517 = 441
  integer, parameter :: nGC_12626 = 442
  integer, parameter :: nGC_12627 = 443
  integer, parameter :: nGC_19049 = 444
  integer, parameter :: nGC_19048 = 445
  integer, parameter :: nGC_12574 = 446
  integer, parameter :: nGC_12575 = 447
  integer, parameter :: nGC_12576 = 448
  integer, parameter :: nGC_21752 = 449
  integer, parameter :: nGC_13197 = 450
  integer, parameter :: nGC_13191 = 451
  integer, parameter :: nGC_13190 = 452
  integer, parameter :: nGC_13193 = 453
  integer, parameter :: nGC_12714 = 454
  integer, parameter :: nGC_12715 = 455
  integer, parameter :: nGC_12716 = 456
  integer, parameter :: nGC_12717 = 457
  integer, parameter :: nGC_12710 = 458
  integer, parameter :: nGC_12711 = 459
  integer, parameter :: nGC_12712 = 460
  integer, parameter :: nGC_12713 = 461
  integer, parameter :: nGC_12718 = 462
  integer, parameter :: nGC_12719 = 463
  integer, parameter :: nGC_12485 = 464
  integer, parameter :: nGC_13179 = 465
  integer, parameter :: nGC_12487 = 466
  integer, parameter :: nGC_12480 = 467
  integer, parameter :: nGC_12481 = 468
  integer, parameter :: nGC_13170 = 469
  integer, parameter :: nGC_13177 = 470
  integer, parameter :: nGC_13176 = 471
  integer, parameter :: nGC_13175 = 472
  integer, parameter :: nGC_12378 = 473
  integer, parameter :: nGC_12379 = 474
  integer, parameter :: nGC_14 = 475
  integer, parameter :: nGC_13 = 476
  integer, parameter :: nGC_12 = 477
  integer, parameter :: nGC_21523 = 478
  integer, parameter :: nGC_10 = 479
  integer, parameter :: nGC_12620 = 480
  integer, parameter :: nGC_12621 = 481
  integer, parameter :: nGC_12622 = 482
  integer, parameter :: nGC_12623 = 483
  integer, parameter :: nGC_12624 = 484
  integer, parameter :: nGC_12625 = 485
  integer, parameter :: nGC_19 = 486
  integer, parameter :: nGC_18 = 487
  integer, parameter :: nGC_12392 = 488
  integer, parameter :: nGC_12393 = 489
  integer, parameter :: nGC_12394 = 490
  integer, parameter :: nGC_12395 = 491
  integer, parameter :: nGC_12396 = 492
  integer, parameter :: nGC_18737 = 493
  integer, parameter :: nGC_18738 = 494
  integer, parameter :: nGC_22123 = 495
  integer, parameter :: nGC_22124 = 496
  integer, parameter :: nGC_19919 = 497
  integer, parameter :: nGC_19918 = 498
  integer, parameter :: nGC_20659 = 499
  integer, parameter :: nGC_18950 = 500
  integer, parameter :: nGC_18951 = 501
  integer, parameter :: nGC_375 = 502
  integer, parameter :: nGC_12451 = 503
  integer, parameter :: nGC_12450 = 504
  integer, parameter :: nGC_19456 = 505
  integer, parameter :: nGC_13107 = 506
  integer, parameter :: nGC_703 = 507
  integer, parameter :: nGC_TS_GC_192_Hh = 508
  integer, parameter :: nGC_TS_GC_192_Hl = 509
  integer, parameter :: nGC_12563 = 510
  integer, parameter :: nGC_12562 = 511
  integer, parameter :: nGC_12561 = 512
  integer, parameter :: nGC_12566 = 513
  integer, parameter :: nGC_12565 = 514
  integer, parameter :: nGC_12564 = 515
  integer, parameter :: nGC_1543 = 516
  integer, parameter :: nGC_12707 = 517
  integer, parameter :: nGC_12706 = 518
  integer, parameter :: nGC_12705 = 519
  integer, parameter :: nGC_12704 = 520
  integer, parameter :: nGC_12703 = 521
  integer, parameter :: nGC_12702 = 522
  integer, parameter :: nGC_12701 = 523
  integer, parameter :: nGC_12700 = 524
  integer, parameter :: nGC_12709 = 525
  integer, parameter :: nGC_12708 = 526
  integer, parameter :: nGC_12497 = 527
  integer, parameter :: nGC_13149 = 528
  integer, parameter :: nGC_13146 = 529
  integer, parameter :: nGC_13144 = 530
  integer, parameter :: nGC_13145 = 531
  integer, parameter :: nGC_13142 = 532
  integer, parameter :: nGC_13141 = 533
  integer, parameter :: nGC_12366 = 534
  integer, parameter :: nGC_12369 = 535
  integer, parameter :: nGC_12368 = 536
  integer, parameter :: nGC_12639 = 537
  integer, parameter :: nGC_19857 = 538
  integer, parameter :: nGC_12633 = 539
  integer, parameter :: nGC_12632 = 540
  integer, parameter :: nGC_12631 = 541
  integer, parameter :: nGC_12637 = 542
  integer, parameter :: nGC_12636 = 543
  integer, parameter :: nGC_12635 = 544
  integer, parameter :: nGC_12634 = 545
  integer, parameter :: nGC_12388 = 546
  integer, parameter :: nGC_12382 = 547
  integer, parameter :: nGC_12381 = 548
  integer, parameter :: nGC_12380 = 549
  integer, parameter :: nGC_12918 = 550
  integer, parameter :: nGC_TS_GC_33_Hl = 551
  integer, parameter :: nGC_TS_GC_33_Hh = 552
  integer, parameter :: nGC_18949 = 553
  integer, parameter :: nGC_18948 = 554
  integer, parameter :: nGC_TS_GC_228_Hl = 555
  integer, parameter :: nGC_13215 = 556
  integer, parameter :: nGC_TS_GC_175_Hh = 557
  integer, parameter :: nGC_13152 = 558
  integer, parameter :: nGC_TS_GC_32_Hl = 559
  integer, parameter :: nGC_12296 = 560
  integer, parameter :: nGC_12293 = 561
  integer, parameter :: nGC_12556 = 562
  integer, parameter :: nGC_12557 = 563
  integer, parameter :: nGC_12554 = 564
  integer, parameter :: nGC_12555 = 565
  integer, parameter :: nGC_12552 = 566
  integer, parameter :: nGC_12553 = 567
  integer, parameter :: nGC_12550 = 568
  integer, parameter :: nGC_12551 = 569
  integer, parameter :: nGC_1579 = 570
  integer, parameter :: nGC_23791 = 571
  integer, parameter :: nGC_MW_GF = 572
  integer, parameter :: nGC_221 = 573
  integer, parameter :: nGC_19969 = 574
  integer, parameter :: nGC_27196 = 575
  integer, parameter :: nGC_27195 = 576
  integer, parameter :: nGC_27190 = 577
  integer, parameter :: nGC_13155 = 578
  integer, parameter :: nGC_13157 = 579
  integer, parameter :: nGC_13159 = 580
  integer, parameter :: nGC_12826 = 581
  integer, parameter :: nGC_12825 = 582
  integer, parameter :: nGC_12829 = 583
  integer, parameter :: nGC_12606 = 584
  integer, parameter :: nGC_12607 = 585
  integer, parameter :: nGC_12604 = 586
  integer, parameter :: nGC_12605 = 587
  integer, parameter :: nGC_12602 = 588
  integer, parameter :: nGC_12603 = 589
  integer, parameter :: nGC_12600 = 590
  integer, parameter :: nGC_12601 = 591
  integer, parameter :: nGC_18990 = 592
  integer, parameter :: nGC_12738 = 593
  integer, parameter :: nGC_12739 = 594
  integer, parameter :: nGC_12732 = 595
  integer, parameter :: nGC_12733 = 596
  integer, parameter :: nGC_12730 = 597
  integer, parameter :: nGC_12731 = 598
  integer, parameter :: nGC_12736 = 599
  integer, parameter :: nGC_12737 = 600
  integer, parameter :: nGC_12734 = 601
  integer, parameter :: nGC_12735 = 602
  integer, parameter :: nGC_12900 = 603
  integer, parameter :: nGC_24568 = 604
  integer, parameter :: nGC_24569 = 605
  integer, parameter :: nGC_22818 = 606
  integer, parameter :: nGC_22819 = 607
  integer, parameter :: nGC_383 = 608
  integer, parameter :: nGC_381 = 609
  integer, parameter :: nGC_387 = 610
  integer, parameter :: nGC_22820 = 611
  integer, parameter :: nGC_21107 = 612
  integer, parameter :: nGC_MZ_GF = 613
  integer, parameter :: nGC_TS_GC_216_Hl = 614
  integer, parameter :: nGC_TS_GC_190_Hl = 615
  integer, parameter :: nGC_12332 = 616
  integer, parameter :: nGC_12333 = 617
  integer, parameter :: nGC_19099 = 618
  integer, parameter :: nGC_126 = 619
  integer, parameter :: nGC_127 = 620
  integer, parameter :: nGC_124 = 621
  integer, parameter :: nGC_125 = 622
  integer, parameter :: nGC_122 = 623
  integer, parameter :: nGC_123 = 624
  integer, parameter :: nGC_120 = 625
  integer, parameter :: nGC_121 = 626
  integer, parameter :: nGC_128 = 627
  integer, parameter :: nGC_129 = 628
  integer, parameter :: nGC_MMW_GF = 629
  integer, parameter :: nGC_12946 = 630
  integer, parameter :: nGC_12941 = 631
  integer, parameter :: nGC_19162 = 632
  integer, parameter :: nGC_19163 = 633
  integer, parameter :: nGC_19161 = 634
  integer, parameter :: nGC_19166 = 635
  integer, parameter :: nGC_19164 = 636
  integer, parameter :: nGC_19165 = 637
  integer, parameter :: nGC_27187 = 638
  integer, parameter :: nGC_27189 = 639
  integer, parameter :: nGC_27188 = 640
  integer, parameter :: nGC_13125 = 641
  integer, parameter :: nGC_13126 = 642
  integer, parameter :: nGC_13127 = 643
  integer, parameter :: nGC_13122 = 644
  integer, parameter :: nGC_I = 645
  integer, parameter :: nGC_13128 = 646
  integer, parameter :: nGC_12839 = 647
  integer, parameter :: nGC_12831 = 648
  integer, parameter :: nGC_12833 = 649
  integer, parameter :: nGC_12835 = 650
  integer, parameter :: nGC_12837 = 651
  integer, parameter :: nGC_12549 = 652
  integer, parameter :: nGC_TS_GC_162_Hh = 653
  integer, parameter :: nGC_12543 = 654
  integer, parameter :: nGC_12545 = 655
  integer, parameter :: nGC_12544 = 656
  integer, parameter :: nGC_12614 = 657
  integer, parameter :: nGC_12619 = 658
  integer, parameter :: nGC_12618 = 659
  integer, parameter :: nGC_13238 = 660
  integer, parameter :: nGC_13230 = 661
  integer, parameter :: nGC_13231 = 662
  integer, parameter :: nGC_13235 = 663
  integer, parameter :: nGC_13236 = 664
  integer, parameter :: nGC_3 = 665
  integer, parameter :: nGC_2 = 666
  integer, parameter :: nGC_1 = 667
  integer, parameter :: nGC_7 = 668
  integer, parameter :: nGC_6 = 669
  integer, parameter :: nGC_5 = 670
  integer, parameter :: nGC_4 = 671
  integer, parameter :: nGC_9 = 672
  integer, parameter :: nGC_8 = 673
  integer, parameter :: nGC_12729 = 674
  integer, parameter :: nGC_12728 = 675
  integer, parameter :: nGC_12727 = 676
  integer, parameter :: nGC_12726 = 677
  integer, parameter :: nGC_12721 = 678
  integer, parameter :: nGC_12720 = 679
  integer, parameter :: nGC_21447 = 680
  integer, parameter :: nGC_21448 = 681
  integer, parameter :: nGC_21449 = 682
  integer, parameter :: nGC_TS_GC_34_Hl = 683
  integer, parameter :: nGC_24579 = 684
  integer, parameter :: nGC_12422 = 685
  integer, parameter :: nGC_12423 = 686
  integer, parameter :: nGC_24570 = 687
  integer, parameter :: nGC_12420 = 688
  integer, parameter :: nGC_12421 = 689
  integer, parameter :: nGC_20660 = 690
  integer, parameter :: nGC_12488 = 691
  integer, parameter :: nGC_19896 = 692
  integer, parameter :: nGC_19893 = 693
  integer, parameter :: nGC_19890 = 694
  integer, parameter :: nGC_TS_GC_36_Hh = 695
  integer, parameter :: nGC_TS_GC_36_Hl = 696
  integer, parameter :: nGC_22933 = 697
  integer, parameter :: nGC_TS_GC_219_Hh = 698
  integer, parameter :: nGC_22939 = 699
  integer, parameter :: nGC_22938 = 700
  integer, parameter :: nGC_3125 = 701
  integer, parameter :: nGC_19760 = 702
  integer, parameter :: nGC_19761 = 703
  integer, parameter :: nGC_23995 = 704
  integer, parameter :: nGC_20948 = 705
  integer, parameter :: nGC_20949 = 706
  integer, parameter :: nGC_19424 = 707
  integer, parameter :: nGC_TS_GC_120_Hl = 708
  integer, parameter :: nGC_19391 = 709
  integer, parameter :: nGC_19553 = 710
  integer, parameter :: nGC_19552 = 711
  integer, parameter :: nGC_20502 = 712
  integer, parameter :: nGC_643 = 713
  integer, parameter :: nGC_134 = 714
  integer, parameter :: nGC_137 = 715
  integer, parameter :: nGC_136 = 716
  integer, parameter :: nGC_131 = 717
  integer, parameter :: nGC_130 = 718
  integer, parameter :: nGC_133 = 719
  integer, parameter :: nGC_132 = 720
  integer, parameter :: nGC_139 = 721
  integer, parameter :: nGC_138 = 722
  integer, parameter :: nGC_13009 = 723
  integer, parameter :: nGC_13008 = 724
  integer, parameter :: nGC_19370 = 725
  integer, parameter :: nGC_12444 = 726
  integer, parameter :: nGC_12445 = 727
  integer, parameter :: nGC_12446 = 728
  integer, parameter :: nGC_12447 = 729
  integer, parameter :: nGC_12448 = 730
  integer, parameter :: nGC_12449 = 731
  integer, parameter :: nGC_12994 = 732
  integer, parameter :: nGC_12995 = 733
  integer, parameter :: nGC_12992 = 734
  integer, parameter :: nGC_12993 = 735
  integer, parameter :: nGC_12990 = 736
  integer, parameter :: nGC_12991 = 737
  integer, parameter :: nGC_13137 = 738
  integer, parameter :: nGC_13135 = 739
  integer, parameter :: nGC_13133 = 740
  integer, parameter :: nGC_13132 = 741
  integer, parameter :: nGC_13131 = 742
  integer, parameter :: nGC_13139 = 743
  integer, parameter :: nGC_13138 = 744
  integer, parameter :: nGC_1197 = 745
  integer, parameter :: nGC_19405 = 746
  integer, parameter :: nGC_12849 = 747
  integer, parameter :: nGC_12844 = 748
  integer, parameter :: nGC_12845 = 749
  integer, parameter :: nGC_12847 = 750
  integer, parameter :: nGC_12840 = 751
  integer, parameter :: nGC_12841 = 752
  integer, parameter :: nGC_12842 = 753
  integer, parameter :: nGC_12538 = 754
  integer, parameter :: nGC_22347 = 755
  integer, parameter :: nGC_12534 = 756
  integer, parameter :: nGC_12535 = 757
  integer, parameter :: nGC_12536 = 758
  integer, parameter :: nGC_12537 = 759
  integer, parameter :: nGC_12530 = 760
  integer, parameter :: nGC_12531 = 761
  integer, parameter :: nGC_12532 = 762
  integer, parameter :: nGC_12533 = 763
  integer, parameter :: nGC_12667 = 764
  integer, parameter :: nGC_12660 = 765
  integer, parameter :: nGC_20454 = 766
  integer, parameter :: nGC_12668 = 767
  integer, parameter :: nGC_12669 = 768
  integer, parameter :: nGC_13222 = 769
  integer, parameter :: nGC_13221 = 770
  integer, parameter :: nGC_13220 = 771
  integer, parameter :: nGC_13227 = 772
  integer, parameter :: nGC_13226 = 773
  integer, parameter :: nGC_13225 = 774
  integer, parameter :: nGC_13224 = 775
  integer, parameter :: nGC_12282 = 776
  integer, parameter :: nGC_12283 = 777
  integer, parameter :: nGC_12280 = 778
  integer, parameter :: nGC_12281 = 779
  integer, parameter :: nGC_12286 = 780
  integer, parameter :: nGC_12287 = 781
  integer, parameter :: nGC_12284 = 782
  integer, parameter :: nGC_12285 = 783
  integer, parameter :: nGC_12288 = 784
  integer, parameter :: nGC_12289 = 785
  integer, parameter :: nGC_23565 = 786
  integer, parameter :: nGC_21450 = 787
  integer, parameter :: nGC_20184 = 788
  integer, parameter :: nGC_20187 = 789
  integer, parameter :: nGC_19950 = 790
  integer, parameter :: nGC_12269 = 791
  integer, parameter :: nGC_TS_GC_200_Hl = 792
  integer, parameter :: nGC_27974 = 793
  integer, parameter :: nGC_52 = 794
  integer, parameter :: nGC_27976 = 795
  integer, parameter :: nGC_27977 = 796
  integer, parameter :: nGC_TS_GC_189_Hh = 797
  integer, parameter :: nGC_TS_GC_189_Hl = 798
  integer, parameter :: nGC_27973 = 799
  integer, parameter :: nGC_20059 = 800
  integer, parameter :: nGC_TS_GC_15_Hh = 801
  integer, parameter :: nGC_3111 = 802
  integer, parameter :: nGC_3113 = 803
  integer, parameter :: nGC_TS_GC_145_Hh = 804
  integer, parameter :: nGC_18828 = 805
  integer, parameter :: nGC_18825 = 806
  integer, parameter :: nGC_23988 = 807
  integer, parameter :: nGC_19415 = 808
  integer, parameter :: nGC_21120 = 809
  integer, parameter :: nGC_TS_GC_199_Hh = 810
  integer, parameter :: nGC_TS_GC_96_Hl = 811
  integer, parameter :: nGC_TS_GC_191_Hh = 812
  integer, parameter :: nGC_100 = 813
  integer, parameter :: nGC_101 = 814
  integer, parameter :: nGC_102 = 815
  integer, parameter :: nGC_103 = 816
  integer, parameter :: nGC_104 = 817
  integer, parameter :: nGC_105 = 818
  integer, parameter :: nGC_106 = 819
  integer, parameter :: nGC_107 = 820
  integer, parameter :: nGC_108 = 821
  integer, parameter :: nGC_109 = 822
  integer, parameter :: nGC_13038 = 823
  integer, parameter :: nGC_12453 = 824
  integer, parameter :: nGC_12452 = 825
  integer, parameter :: nGC_13108 = 826
  integer, parameter :: nGC_13109 = 827
  integer, parameter :: nGC_12455 = 828
  integer, parameter :: nGC_12454 = 829
  integer, parameter :: nGC_12459 = 830
  integer, parameter :: nGC_13106 = 831
  integer, parameter :: nGC_12312 = 832
  integer, parameter :: nGC_12314 = 833
  integer, parameter :: nGC_12315 = 834
  integer, parameter :: nGC_12316 = 835
  integer, parameter :: nGC_12852 = 836
  integer, parameter :: nGC_12851 = 837
  integer, parameter :: nGC_12850 = 838
  integer, parameter :: nGC_22353 = 839
  integer, parameter :: nGC_22352 = 840
  integer, parameter :: nGC_22350 = 841
  integer, parameter :: nGC_12529 = 842
  integer, parameter :: nGC_12528 = 843
  integer, parameter :: nGC_12527 = 844
  integer, parameter :: nGC_12523 = 845
  integer, parameter :: nGC_12522 = 846
  integer, parameter :: nGC_12521 = 847
  integer, parameter :: nGC_12677 = 848
  integer, parameter :: nGC_12676 = 849
  integer, parameter :: nGC_12675 = 850
  integer, parameter :: nGC_12674 = 851
  integer, parameter :: nGC_12673 = 852
  integer, parameter :: nGC_12679 = 853
  integer, parameter :: nGC_12678 = 854
  integer, parameter :: nGC_13218 = 855
  integer, parameter :: nGC_13219 = 856
  integer, parameter :: nGC_13216 = 857
  integer, parameter :: nGC_13217 = 858
  integer, parameter :: nGC_13214 = 859
  integer, parameter :: nGC_13212 = 860
  integer, parameter :: nGC_13213 = 861
  integer, parameter :: nGC_13210 = 862
  integer, parameter :: nGC_13211 = 863
  integer, parameter :: nGC_12295 = 864
  integer, parameter :: nGC_12294 = 865
  integer, parameter :: nGC_12297 = 866
  integer, parameter :: nGC_12608 = 867
  integer, parameter :: nGC_12299 = 868
  integer, parameter :: nGC_12298 = 869
  integer, parameter :: nGC_19895 = 870
  integer, parameter :: nGC_19966 = 871
  integer, parameter :: nGC_19967 = 872
  integer, parameter :: nGC_23790 = 873
  integer, parameter :: nGC_20108 = 874
  integer, parameter :: nGC_23792 = 875
  integer, parameter :: nGC_23793 = 876
  integer, parameter :: nGC_23794 = 877
  integer, parameter :: nGC_12279 = 878
  integer, parameter :: nGC_12278 = 879
  integer, parameter :: nGC_12273 = 880
  integer, parameter :: nGC_12272 = 881
  integer, parameter :: nGC_12271 = 882
  integer, parameter :: nGC_12270 = 883
  integer, parameter :: nGC_12277 = 884
  integer, parameter :: nGC_12276 = 885
  integer, parameter :: nGC_12275 = 886
  integer, parameter :: nGC_12274 = 887
  integer, parameter :: nGC_853 = 888
  integer, parameter :: nGC_12499 = 889
  integer, parameter :: nGC_12498 = 890
  integer, parameter :: nGC_12949 = 891
  integer, parameter :: nGC_20685 = 892
  integer, parameter :: nGC_13188 = 893
  integer, parameter :: nGC_3103 = 894
  integer, parameter :: nGC_3107 = 895
  integer, parameter :: nGC_3105 = 896
  integer, parameter :: nGC_28545 = 897
  integer, parameter :: nGC_28546 = 898
  integer, parameter :: nGC_TS_GC_35_Hh = 899
  integer, parameter :: nGC_12367 = 900
  integer, parameter :: nGC_12810 = 901
  integer, parameter :: nGC_12361 = 902
  integer, parameter :: nGC_12409 = 903
  integer, parameter :: nGC_20450 = 904
  integer, parameter :: nGC_19403 = 905
  integer, parameter :: nGC_19402 = 906
  integer, parameter :: nGC_12407 = 907
  integer, parameter :: nGC_TS_GC_177_Hl = 908
  integer, parameter :: nGC_12638 = 909
  integer, parameter :: nGC_20526 = 910
  integer, parameter :: nGC_20527 = 911
  integer, parameter :: nGC_20528 = 912
  integer, parameter :: nGC_20529 = 913
  integer, parameter :: nGC_TS_GC_208_Hl = 914
  integer, parameter :: nGC_119 = 915
  integer, parameter :: nGC_118 = 916
  integer, parameter :: nGC_117 = 917
  integer, parameter :: nGC_116 = 918
  integer, parameter :: nGC_115 = 919
  integer, parameter :: nGC_114 = 920
  integer, parameter :: nGC_113 = 921
  integer, parameter :: nGC_112 = 922
  integer, parameter :: nGC_111 = 923
  integer, parameter :: nGC_110 = 924
  integer, parameter :: nGC_22955 = 925
  integer, parameter :: nGC_13354 = 926
  integer, parameter :: nGC_12970 = 927
  integer, parameter :: nGC_29508 = 928
  integer, parameter :: nGC_19787 = 929
  integer, parameter :: nGC_TS_GC_211_Hh = 930
  integer, parameter :: nGC_19623 = 931
  integer, parameter :: nGC_19193 = 932
  integer, parameter :: nGC_19190 = 933
  integer, parameter :: nGC_19197 = 934
  integer, parameter :: nGC_19130 = 935
  integer, parameter :: nGC_19051 = 936
  integer, parameter :: nGC_TS_GC_29_Hh = 937
  integer, parameter :: nGC_18875 = 938
  integer, parameter :: nGC_19355 = 939
  integer, parameter :: nGC_19356 = 940
  integer, parameter :: nGC_19358 = 941
  integer, parameter :: nGC_19293 = 942
  integer, parameter :: nGC_18973 = 943
  integer, parameter :: nGC_19296 = 944
  integer, parameter :: nGC_13119 = 945
  integer, parameter :: nGC_13118 = 946
  integer, parameter :: nGC_13115 = 947
  integer, parameter :: nGC_13114 = 948
  integer, parameter :: nGC_13117 = 949
  integer, parameter :: nGC_13111 = 950
  integer, parameter :: nGC_13110 = 951
  integer, parameter :: nGC_13113 = 952
  integer, parameter :: nGC_13112 = 953
  integer, parameter :: nGC_TS_GC_130_Hh = 954
  integer, parameter :: nGC_12862 = 955
  integer, parameter :: nGC_12863 = 956
  integer, parameter :: nGC_12860 = 957
  integer, parameter :: nGC_12861 = 958
  integer, parameter :: nGC_12866 = 959
  integer, parameter :: nGC_12867 = 960
  integer, parameter :: nGC_12864 = 961
  integer, parameter :: nGC_12865 = 962
  integer, parameter :: nGC_12901 = 963
  integer, parameter :: nGC_12868 = 964
  integer, parameter :: nGC_12905 = 965
  integer, parameter :: nGC_12904 = 966
  integer, parameter :: nGC_12907 = 967
  integer, parameter :: nGC_12906 = 968
  integer, parameter :: nGC_13186 = 969
  integer, parameter :: nGC_13187 = 970
  integer, parameter :: nGC_13185 = 971
  integer, parameter :: nGC_13027 = 972
  integer, parameter :: nGC_12888 = 973
  integer, parameter :: nGC_12889 = 974
  integer, parameter :: nGC_12763 = 975
  integer, parameter :: nGC_23094 = 976
  integer, parameter :: nGC_12765 = 977
  integer, parameter :: nGC_12764 = 978
  integer, parameter :: nGC_12767 = 979
  integer, parameter :: nGC_12766 = 980
  integer, parameter :: nGC_12880 = 981
  integer, parameter :: nGC_12881 = 982
  integer, parameter :: nGC_12882 = 983
  integer, parameter :: nGC_12883 = 984
  integer, parameter :: nGC_12884 = 985
  integer, parameter :: nGC_12885 = 986
  integer, parameter :: nGC_12886 = 987
  integer, parameter :: nGC_12887 = 988
  integer, parameter :: nGC_13201 = 989
  integer, parameter :: nGC_13200 = 990
  integer, parameter :: nGC_13202 = 991
  integer, parameter :: nGC_13205 = 992
  integer, parameter :: nGC_13204 = 993
  integer, parameter :: nGC_18754 = 994
  integer, parameter :: nGC_13206 = 995
  integer, parameter :: nGC_13209 = 996
  integer, parameter :: nGC_13208 = 997
  integer, parameter :: nGC_18758 = 998
  integer, parameter :: nGC_20569 = 999
  integer, parameter :: nGC_19627 = 1000
  integer, parameter :: nGC_13065 = 1001
  integer, parameter :: nGC_20763 = 1002
  integer, parameter :: nGC_20764 = 1003
  integer, parameter :: nGC_20765 = 1004
  integer, parameter :: nGC_TS_GC_82_Hh = 1005
  integer, parameter :: nGC_TS_GC_147_Hh = 1006
  integer, parameter :: nGC_23789 = 1007
  integer, parameter :: nGC_19970 = 1008
  integer, parameter :: nGC_20172 = 1009
  integer, parameter :: nGC_19386 = 1010
  integer, parameter :: nGC_12895 = 1011
  integer, parameter :: nGC_20284 = 1012
  integer, parameter :: nGC_20283 = 1013
  integer, parameter :: nGC_18802 = 1014
  integer, parameter :: nGC_21048 = 1015
  integer, parameter :: nGC_20885 = 1016
  integer, parameter :: nGC_18741 = 1017
  integer, parameter :: nGC_TS_GC_29_Hl = 1018
  integer, parameter :: nGC_19913 = 1019
  integer, parameter :: nGC_19198 = 1020
  integer, parameter :: nGC_3343 = 1021
  integer, parameter :: nGC_20136 = 1022
  integer, parameter :: nGC_2621 = 1023
  integer, parameter :: nGC_2623 = 1024
  integer, parameter :: nGC_19314 = 1025
  integer, parameter :: nGC_19688 = 1026
  integer, parameter :: nGC_18937 = 1027
  integer, parameter :: nGC_20578 = 1028
  integer, parameter :: nGC_TS_GC_118_Hl = 1029
  integer, parameter :: nGC_13010 = 1030
  integer, parameter :: nGC_13011 = 1031
  integer, parameter :: nGC_13012 = 1032
  integer, parameter :: nGC_13016 = 1033
  integer, parameter :: nGC_2935 = 1034
  integer, parameter :: nGC_13018 = 1035
  integer, parameter :: nGC_19290 = 1036
  integer, parameter :: nGC_19759 = 1037
  integer, parameter :: nGC_19758 = 1038
  integer, parameter :: nGC_18976 = 1039
  integer, parameter :: nGC_19910 = 1040
  integer, parameter :: nGC_19751 = 1041
  integer, parameter :: nGC_12945 = 1042
  integer, parameter :: nGC_12944 = 1043
  integer, parameter :: nGC_12940 = 1044
  integer, parameter :: nGC_12943 = 1045
  integer, parameter :: nGC_12942 = 1046
  integer, parameter :: nGC_19992 = 1047
  integer, parameter :: nGC_TS_GC_147_Hl = 1048
  integer, parameter :: nGC_13064 = 1049
  integer, parameter :: nGC_13066 = 1050
  integer, parameter :: nGC_13061 = 1051
  integer, parameter :: nGC_13063 = 1052
  integer, parameter :: nGC_19006 = 1053
  integer, parameter :: nGC_13069 = 1054
  integer, parameter :: nGC_18800 = 1055
  integer, parameter :: nGC_18801 = 1056
  integer, parameter :: nGC_13249 = 1057
  integer, parameter :: nGC_13248 = 1058
  integer, parameter :: nGC_13244 = 1059
  integer, parameter :: nGC_13247 = 1060
  integer, parameter :: nGC_13246 = 1061
  integer, parameter :: nGC_13241 = 1062
  integer, parameter :: nGC_13240 = 1063
  integer, parameter :: nGC_13124 = 1064
  integer, parameter :: nGC_13089 = 1065
  integer, parameter :: nGC_13120 = 1066
  integer, parameter :: nGC_13121 = 1067
  integer, parameter :: nGC_13123 = 1068
  integer, parameter :: nGC_13083 = 1069
  integer, parameter :: nGC_571 = 1070
  integer, parameter :: nGC_20449 = 1071
  integer, parameter :: nGC_13086 = 1072
  integer, parameter :: nGC_13085 = 1073
  integer, parameter :: nGC_13084 = 1074
  integer, parameter :: nGC_18977 = 1075
  integer, parameter :: nGC_12838 = 1076
  integer, parameter :: nGC_12832 = 1077
  integer, parameter :: nGC_12834 = 1078
  integer, parameter :: nGC_13129 = 1079
  integer, parameter :: nGC_12930 = 1080
  integer, parameter :: nGC_12932 = 1081
  integer, parameter :: nGC_12933 = 1082
  integer, parameter :: nGC_12934 = 1083
  integer, parameter :: nGC_12935 = 1084
  integer, parameter :: nGC_12936 = 1085
  integer, parameter :: nGC_12937 = 1086
  integer, parameter :: nGC_12938 = 1087
  integer, parameter :: nGC_19406 = 1088
  integer, parameter :: nGC_13158 = 1089
  integer, parameter :: nGC_20083 = 1090
  integer, parameter :: nGC_12750 = 1091
  integer, parameter :: nGC_12754 = 1092
  integer, parameter :: nGC_12755 = 1093
  integer, parameter :: nGC_13239 = 1094
  integer, parameter :: nGC_19260 = 1095
  integer, parameter :: nGC_13232 = 1096
  integer, parameter :: nGC_13233 = 1097
  integer, parameter :: nGC_13237 = 1098
  integer, parameter :: nGC_20432 = 1099
  integer, parameter :: nGC_23693 = 1100
  integer, parameter :: nGC_20925 = 1101
  integer, parameter :: nGC_19469 = 1102
  integer, parameter :: nGC_19468 = 1103
  integer, parameter :: nGC_TS_GC_117_Hl = 1104
  integer, parameter :: nGC_12830 = 1105
  integer, parameter :: nGC_19940 = 1106
  integer, parameter :: nGC_12836 = 1107
  integer, parameter :: nGC_27979 = 1108
  integer, parameter :: nGC_13017 = 1109
  integer, parameter :: nGC_TS_GC_220_Hl = 1110
  integer, parameter :: nGC_27981 = 1111
  integer, parameter :: nGC_27980 = 1112
  integer, parameter :: nGC_19599 = 1113
  integer, parameter :: nGC_1523 = 1114
  integer, parameter :: nGC_12908 = 1115
  integer, parameter :: nGC_19791 = 1116
  integer, parameter :: nGC_TS_GC_196_Hl = 1117
  integer, parameter :: nGC_20665 = 1118
  integer, parameter :: nGC_20666 = 1119
  integer, parameter :: nGC_26274 = 1120
  integer, parameter :: nGC_19289 = 1121
  integer, parameter :: nGC_27197 = 1122
  integer, parameter :: nGC_TS_GC_207_Hh = 1123
  integer, parameter :: nGC_21216 = 1124
  integer, parameter :: nGC_12903 = 1125
  integer, parameter :: nGC_20084 = 1126
  integer, parameter :: nGC_21187 = 1127
  integer, parameter :: nGC_21186 = 1128
  integer, parameter :: nGC_21185 = 1129
  integer, parameter :: nGC_21188 = 1130
  integer, parameter :: nGC_12875 = 1131
  integer, parameter :: nGC_12874 = 1132
  integer, parameter :: nGC_12877 = 1133
  integer, parameter :: nGC_12876 = 1134
  integer, parameter :: nGC_12871 = 1135
  integer, parameter :: nGC_12873 = 1136
  integer, parameter :: nGC_12872 = 1137
  integer, parameter :: nGC_12975 = 1138
  integer, parameter :: nGC_12976 = 1139
  integer, parameter :: nGC_12977 = 1140
  integer, parameter :: nGC_12878 = 1141
  integer, parameter :: nGC_12972 = 1142
  integer, parameter :: nGC_12973 = 1143
  integer, parameter :: nGC_13195 = 1144
  integer, parameter :: nGC_13194 = 1145
  integer, parameter :: nGC_13196 = 1146
  integer, parameter :: nGC_13223 = 1147
  integer, parameter :: nGC_13192 = 1148
  integer, parameter :: nGC_19030 = 1149
  integer, parameter :: nGC_13050 = 1150
  integer, parameter :: nGC_13051 = 1151
  integer, parameter :: nGC_13052 = 1152
  integer, parameter :: nGC_23993 = 1153
  integer, parameter :: nGC_12899 = 1154
  integer, parameter :: nGC_12898 = 1155
  integer, parameter :: nGC_23994 = 1156
  integer, parameter :: nGC_12893 = 1157
  integer, parameter :: nGC_12897 = 1158
  integer, parameter :: nGC_12896 = 1159
  integer, parameter :: nGC_12894 = 1160
  integer, parameter :: nGC_18745 = 1161
  integer, parameter :: nGC_18744 = 1162
  integer, parameter :: nGC_13270 = 1163
  integer, parameter :: nGC_18740 = 1164
  integer, parameter :: nGC_18743 = 1165
  integer, parameter :: nGC_18742 = 1166
  integer, parameter :: nGC_13173 = 1167
  integer, parameter :: nGC_13172 = 1168
  integer, parameter :: nGC_13171 = 1169
  integer, parameter :: nGC_13174 = 1170
  integer, parameter :: nGC_20805 = 1171
  integer, parameter :: nGC_20804 = 1172
  integer, parameter :: nGC_20807 = 1173
  integer, parameter :: nGC_20806 = 1174
  integer, parameter :: nGC_19122 = 1175
  integer, parameter :: nGC_1253 = 1176
  integer, parameter :: nGC_19123 = 1177
  integer, parameter :: nGC_12800 = 1178
  integer, parameter :: nGC_12801 = 1179
  integer, parameter :: nGC_12802 = 1180
  integer, parameter :: nGC_12803 = 1181
  integer, parameter :: nGC_12804 = 1182
  integer, parameter :: nGC_12805 = 1183
  integer, parameter :: nGC_12808 = 1184
  integer, parameter :: nGC_12809 = 1185
  integer, parameter :: nGC_21525 = 1186
  integer, parameter :: nGC_20355 = 1187
  integer, parameter :: nGC_21527 = 1188
  integer, parameter :: nGC_21526 = 1189
  integer, parameter :: nGC_12760 = 1190
  integer, parameter :: nGC_12762 = 1191
  integer, parameter :: nGC_20339 = 1192
  integer, parameter :: nGC_20500 = 1193
  integer, parameter :: nGC_20501 = 1194
  integer, parameter :: nGC_18732 = 1195
  integer, parameter :: nGC_19555 = 1196
  integer, parameter :: nGC_19554 = 1197
  integer, parameter :: nGC_18739 = 1198
  integer, parameter :: nGC_12769 = 1199
  integer, parameter :: nGC_12768 = 1200
  integer, parameter :: nGC_22125 = 1201
  integer, parameter :: nGC_22126 = 1202
  integer, parameter :: nGC_22127 = 1203
  integer, parameter :: nGC_21797 = 1204
  integer, parameter :: nGC_2757 = 1205
  integer, parameter :: nGC_21550 = 1206
  integer, parameter :: nGC_21554 = 1207
  integer, parameter :: nGC_21555 = 1208
  integer, parameter :: nGC_19467 = 1209
  integer, parameter :: nGC_19466 = 1210
  integer, parameter :: nGC_18887 = 1211
  integer, parameter :: nGC_18882 = 1212
  integer, parameter :: nGC_13203 = 1213
  integer, parameter :: nGC_18922 = 1214
  integer, parameter :: nGC_20593 = 1215
  integer, parameter :: nGC_13003 = 1216
  integer, parameter :: nGC_24000 = 1217
  integer, parameter :: nGC_13000 = 1218
  integer, parameter :: nGC_13207 = 1219
  integer, parameter :: nGC_13005 = 1220
  integer, parameter :: nGC_13004 = 1221
  integer, parameter :: nGC_TS_GC_28_Hl = 1222
  integer, parameter :: nGC_19025 = 1223
  integer, parameter :: nGC_19436 = 1224
  integer, parameter :: nGC_19074 = 1225
  integer, parameter :: nGC_19077 = 1226
  integer, parameter :: nGC_19071 = 1227
  integer, parameter :: nGC_19078 = 1228
  integer, parameter :: nGC_863 = 1229
  integer, parameter :: nGC_12999 = 1230
  integer, parameter :: nGC_12996 = 1231
  integer, parameter :: nGC_12997 = 1232
  integer, parameter :: nGC_13136 = 1233
  integer, parameter :: nGC_13134 = 1234
  integer, parameter :: nGC_13130 = 1235
  integer, parameter :: nGC_TS_GC_30_Hl = 1236
  integer, parameter :: nGC_20466 = 1237
  integer, parameter :: nGC_21778 = 1238
  integer, parameter :: nGC_21779 = 1239
  integer, parameter :: nGC_12848 = 1240
  integer, parameter :: nGC_13150 = 1241
  integer, parameter :: nGC_12846 = 1242
  integer, parameter :: nGC_19736 = 1243
  integer, parameter :: nGC_19735 = 1244
  integer, parameter :: nGC_21777 = 1245
  integer, parameter :: nGC_12923 = 1246
  integer, parameter :: nGC_12922 = 1247
  integer, parameter :: nGC_12921 = 1248
  integer, parameter :: nGC_12920 = 1249
  integer, parameter :: nGC_12927 = 1250
  integer, parameter :: nGC_12926 = 1251
  integer, parameter :: nGC_12925 = 1252
  integer, parameter :: nGC_12924 = 1253
  integer, parameter :: nGC_12929 = 1254
  integer, parameter :: nGC_12928 = 1255
  integer, parameter :: nGC_12749 = 1256
  integer, parameter :: nGC_12748 = 1257
  integer, parameter :: nGC_12743 = 1258
  integer, parameter :: nGC_12742 = 1259
  integer, parameter :: nGC_12741 = 1260
  integer, parameter :: nGC_12740 = 1261
  integer, parameter :: nGC_12747 = 1262
  integer, parameter :: nGC_12746 = 1263
  integer, parameter :: nGC_12745 = 1264
  integer, parameter :: nGC_12744 = 1265
  integer, parameter :: nGC_13229 = 1266
  integer, parameter :: nGC_13228 = 1267
  integer, parameter :: nGC_19518 = 1268
  integer, parameter :: nGC_20544 = 1269
  integer, parameter :: nGC_20545 = 1270
  integer, parameter :: nGC_19515 = 1271
  integer, parameter :: nGC_18770 = 1272
  integer, parameter :: nGC_20930 = 1273
  integer, parameter :: nGC_19450 = 1274
  integer, parameter :: nGC_20429 = 1275
  integer, parameter :: nGC_577 = 1276
  integer, parameter :: nGC_23561 = 1277
  integer, parameter :: nGC_1739 = 1278
  integer, parameter :: nGC_19812 = 1279
  integer, parameter :: nGC_19813 = 1280
  integer, parameter :: nGC_24265 = 1281
  integer, parameter :: nGC_3333 = 1282
  integer, parameter :: nGC_20499 = 1283
  integer, parameter :: nGC_12761 = 1284
  integer, parameter :: nGC_TS_GC_110_Hh = 1285
  integer, parameter :: nGC_13037 = 1286
  integer, parameter :: nGC_20115 = 1287
  integer, parameter :: nGC_20114 = 1288
  integer, parameter :: nGC_20113 = 1289
  integer, parameter :: nGC_20112 = 1290
  integer, parameter :: nGC_18855 = 1291
  integer, parameter :: nGC_18850 = 1292
  integer, parameter :: nGC_23797 = 1293
  integer, parameter :: nGC_19338 = 1294
  integer, parameter :: nGC_829 = 1295
  integer, parameter :: nGC_12969 = 1296
  integer, parameter :: nGC_20603 = 1297
  integer, parameter :: nGC_12966 = 1298
  integer, parameter :: nGC_12965 = 1299
  integer, parameter :: nGC_12964 = 1300
  integer, parameter :: nGC_12963 = 1301
  integer, parameter :: nGC_12962 = 1302
  integer, parameter :: nGC_12961 = 1303
  integer, parameter :: nGC_20604 = 1304
  integer, parameter :: nGC_13049 = 1305
  integer, parameter :: nGC_13048 = 1306
  integer, parameter :: nGC_13047 = 1307
  integer, parameter :: nGC_13046 = 1308
  integer, parameter :: nGC_13045 = 1309
  integer, parameter :: nGC_13044 = 1310
  integer, parameter :: nGC_13042 = 1311
  integer, parameter :: nGC_13041 = 1312
  integer, parameter :: nGC_19024 = 1313
  integer, parameter :: nGC_22526 = 1314
  integer, parameter :: nGC_913 = 1315
  integer, parameter :: nGC_22521 = 1316
  integer, parameter :: nGC_911 = 1317
  integer, parameter :: nGC_13002 = 1318
  integer, parameter :: nGC_13267 = 1319
  integer, parameter :: nGC_13266 = 1320
  integer, parameter :: nGC_13265 = 1321
  integer, parameter :: nGC_13264 = 1322
  integer, parameter :: nGC_13263 = 1323
  integer, parameter :: nGC_13262 = 1324
  integer, parameter :: nGC_13261 = 1325
  integer, parameter :: nGC_13147 = 1326
  integer, parameter :: nGC_13143 = 1327
  integer, parameter :: nGC_13269 = 1328
  integer, parameter :: nGC_13268 = 1329
  integer, parameter :: nGC_21121 = 1330
  integer, parameter :: nGC_21122 = 1331
  integer, parameter :: nGC_12798 = 1332
  integer, parameter :: nGC_12799 = 1333
  integer, parameter :: nGC_12794 = 1334
  integer, parameter :: nGC_12795 = 1335
  integer, parameter :: nGC_12796 = 1336
  integer, parameter :: nGC_12797 = 1337
  integer, parameter :: nGC_12790 = 1338
  integer, parameter :: nGC_12791 = 1339
  integer, parameter :: nGC_12792 = 1340
  integer, parameter :: nGC_12793 = 1341
  integer, parameter :: nGC_12813 = 1342
  integer, parameter :: nGC_12812 = 1343
  integer, parameter :: nGC_12811 = 1344
  integer, parameter :: nGC_19118 = 1345
  integer, parameter :: nGC_12817 = 1346
  integer, parameter :: nGC_12816 = 1347
  integer, parameter :: nGC_12815 = 1348
  integer, parameter :: nGC_12814 = 1349
  integer, parameter :: nGC_12819 = 1350
  integer, parameter :: nGC_12818 = 1351
  integer, parameter :: nGC_19851 = 1352
  integer, parameter :: nGC_19245 = 1353
  integer, parameter :: nGC_19244 = 1354
  integer, parameter :: nGC_19243 = 1355
  integer, parameter :: nGC_19242 = 1356
  integer, parameter :: nGC_18727 = 1357
  integer, parameter :: nGC_19404 = 1358
  integer, parameter :: nGC_24428 = 1359
  integer, parameter :: nGC_19485 = 1360
  integer, parameter :: nGC_19486 = 1361
  integer, parameter :: nGC_12967 = 1362
  integer, parameter :: nGC_19050 = 1363
  integer, parameter :: nGC_29905 = 1364
  integer, parameter :: nGC_30373 = 1365
  integer, parameter :: nGC_21780 = 1366
  integer, parameter :: nGC_623 = 1367
  integer, parameter :: nGC_2601 = 1368
  integer, parameter :: nGC_20924 = 1369
  integer, parameter :: nGC_21547 = 1370
  integer, parameter :: nGC_19920 = 1371
  integer, parameter :: nGC_19921 = 1372
  integer, parameter :: nGC_18891 = 1373
  integer, parameter :: nGC_12960 = 1374
  integer, parameter :: nGC_13234 = 1375
  integer, parameter :: nGC_1761 = 1376
  integer, parameter :: nGC_13199 = 1377
  integer, parameter :: nGC_23801 = 1378
  integer, parameter :: nGC_13054 = 1379
  integer, parameter :: nGC_21866 = 1380
  integer, parameter :: nGC_13082 = 1381
  integer, parameter :: nGC_18799 = 1382
  integer, parameter :: nGC_18792 = 1383
  integer, parameter :: nGC_19793 = 1384
  integer, parameter :: nGC_13036 = 1385
  integer, parameter :: nGC_13198 = 1386
  integer, parameter :: nGC_13034 = 1387
  integer, parameter :: nGC_13035 = 1388
  integer, parameter :: nGC_13032 = 1389
  integer, parameter :: nGC_13033 = 1390
  integer, parameter :: nGC_13030 = 1391
  integer, parameter :: nGC_13031 = 1392
  integer, parameter :: nGC_19143 = 1393
  integer, parameter :: nGC_13039 = 1394
  integer, parameter :: nGC_18820 = 1395
  integer, parameter :: nGC_18715 = 1396
  integer, parameter :: nGC_12971 = 1397
  integer, parameter :: nGC_20167 = 1398
  integer, parameter :: nGC_19026 = 1399
  integer, parameter :: nGC_19067 = 1400
  integer, parameter :: nGC_18867 = 1401
  integer, parameter :: nGC_18860 = 1402
  integer, parameter :: nGC_18861 = 1403
  integer, parameter :: nGC_TS_GC_151_Hl = 1404
  integer, parameter :: nGC_18941 = 1405
  integer, parameter :: nGC_13040 = 1406
  integer, parameter :: nGC_18868 = 1407
  integer, parameter :: nGC_12981 = 1408
  integer, parameter :: nGC_12980 = 1409
  integer, parameter :: nGC_12982 = 1410
  integer, parameter :: nGC_12985 = 1411
  integer, parameter :: nGC_12984 = 1412
  integer, parameter :: nGC_12987 = 1413
  integer, parameter :: nGC_12989 = 1414
  integer, parameter :: nGC_12988 = 1415
  integer, parameter :: nGC_23987 = 1416
  integer, parameter :: nGC_13151 = 1417
  integer, parameter :: nGC_12859 = 1418
  integer, parameter :: nGC_12858 = 1419
  integer, parameter :: nGC_12857 = 1420
  integer, parameter :: nGC_12856 = 1421
  integer, parameter :: nGC_12855 = 1422
  integer, parameter :: nGC_12854 = 1423
  integer, parameter :: nGC_12853 = 1424
  integer, parameter :: nGC_12916 = 1425
  integer, parameter :: nGC_12917 = 1426
  integer, parameter :: nGC_12914 = 1427
  integer, parameter :: nGC_12915 = 1428
  integer, parameter :: nGC_12912 = 1429
  integer, parameter :: nGC_12913 = 1430
  integer, parameter :: nGC_12910 = 1431
  integer, parameter :: nGC_12911 = 1432
  integer, parameter :: nGC_19115 = 1433
  integer, parameter :: nGC_12919 = 1434
  integer, parameter :: nGC_20268 = 1435
  integer, parameter :: nGC_23086 = 1436
  integer, parameter :: nGC_23087 = 1437
  integer, parameter :: nGC_12777 = 1438
  integer, parameter :: nGC_12774 = 1439
  integer, parameter :: nGC_12772 = 1440
  integer, parameter :: nGC_12773 = 1441
  integer, parameter :: nGC_12770 = 1442
  integer, parameter :: nGC_12771 = 1443
  integer, parameter :: nGC_19520 = 1444
  integer, parameter :: nGC_13353 = 1445
  integer, parameter :: nGC_13352 = 1446
  integer, parameter :: nGC_18764 = 1447
  integer, parameter :: nGC_20551 = 1448
  integer, parameter :: nGC_20550 = 1449
  integer, parameter :: nGC_20799 = 1450
  integer, parameter :: nGC_18954 = 1451
  integer, parameter :: nGC_23073 = 1452
  integer, parameter :: nGC_23074 = 1453
  integer, parameter :: nGC_23076 = 1454
  integer, parameter :: nGC_19416 = 1455
  integer, parameter :: nGC_TS_GC_100_Hh = 1456
  integer, parameter :: nGC_19417 = 1457
  integer, parameter :: nGC_20060 = 1458
  integer, parameter :: nGC_13148 = 1459
  integer, parameter :: nGC_19968 = 1460
  integer, parameter :: nGC_23795 = 1461
  integer, parameter :: nGC_23796 = 1462
  integer, parameter :: nGC_2133 = 1463
  integer, parameter :: nGC_12948 = 1464
  integer, parameter :: nGC_20295 = 1465
  integer, parameter :: nGC_19232 = 1466
  integer, parameter :: nGC_20950 = 1467
  integer, parameter :: nGC_13140 = 1468
  integer, parameter :: nGC_29641 = 1469
  integer, parameter :: nGC_22821 = 1470
  integer, parameter :: nGC_18967 = 1471
  integer, parameter :: nGC_22822 = 1472
  integer, parameter :: nGC_12909 = 1473
  integer, parameter :: nGC_6027 = 1474
  integer, parameter :: nGC_20123 = 1475
  integer, parameter :: nGC_20743 = 1476
  integer, parameter :: nGC_18905 = 1477
  integer, parameter :: nGC_TS_GC_31_Hh = 1478
  integer, parameter :: nGC_19001 = 1479
  integer, parameter :: nGC_29542 = 1480
  integer, parameter :: nGC_23144 = 1481
  integer, parameter :: nGC_12952 = 1482
  integer, parameter :: nGC_12953 = 1483
  integer, parameter :: nGC_12950 = 1484
  integer, parameter :: nGC_12951 = 1485
  integer, parameter :: nGC_12956 = 1486
  integer, parameter :: nGC_12957 = 1487
  integer, parameter :: nGC_12954 = 1488
  integer, parameter :: nGC_19666 = 1489
  integer, parameter :: nGC_12958 = 1490
  integer, parameter :: nGC_12959 = 1491
  integer, parameter :: nGC_20632 = 1492
  integer, parameter :: nGC_20633 = 1493
  integer, parameter :: nGC_20630 = 1494
  integer, parameter :: nGC_20631 = 1495
  integer, parameter :: nGC_13072 = 1496
  integer, parameter :: nGC_13073 = 1497
  integer, parameter :: nGC_13070 = 1498
  integer, parameter :: nGC_13071 = 1499
  integer, parameter :: nGC_13076 = 1500
  integer, parameter :: nGC_13077 = 1501
  integer, parameter :: nGC_13074 = 1502
  integer, parameter :: nGC_19019 = 1503
  integer, parameter :: nGC_18833 = 1504
  integer, parameter :: nGC_13078 = 1505
  integer, parameter :: nGC_13079 = 1506
  integer, parameter :: nGC_18778 = 1507
  integer, parameter :: nGC_19011 = 1508
  integer, parameter :: nGC_21671 = 1509
  integer, parameter :: nGC_13258 = 1510
  integer, parameter :: nGC_20221 = 1511
  integer, parameter :: nGC_27198 = 1512
  integer, parameter :: nGC_27199 = 1513
  integer, parameter :: nGC_13252 = 1514
  integer, parameter :: nGC_13253 = 1515
  integer, parameter :: nGC_13250 = 1516
  integer, parameter :: nGC_13251 = 1517
  integer, parameter :: nGC_13256 = 1518
  integer, parameter :: nGC_13257 = 1519
  integer, parameter :: nGC_13255 = 1520
  integer, parameter :: nGC_13098 = 1521
  integer, parameter :: nGC_13099 = 1522
  integer, parameter :: nGC_13153 = 1523
  integer, parameter :: nGC_13154 = 1524
  integer, parameter :: nGC_13156 = 1525
  integer, parameter :: nGC_13090 = 1526
  integer, parameter :: nGC_13091 = 1527
  integer, parameter :: nGC_13092 = 1528
  integer, parameter :: nGC_13093 = 1529
  integer, parameter :: nGC_13094 = 1530
  integer, parameter :: nGC_13095 = 1531
  integer, parameter :: nGC_13096 = 1532
  integer, parameter :: nGC_13097 = 1533
  integer, parameter :: nGC_12789 = 1534
  integer, parameter :: nGC_12788 = 1535
  integer, parameter :: nGC_12787 = 1536
  integer, parameter :: nGC_12786 = 1537
  integer, parameter :: nGC_12785 = 1538
  integer, parameter :: nGC_12784 = 1539
  integer, parameter :: nGC_12783 = 1540
  integer, parameter :: nGC_12782 = 1541
  integer, parameter :: nGC_12781 = 1542
  integer, parameter :: nGC_12780 = 1543
  integer, parameter :: nGC_12827 = 1544
  integer, parameter :: nGC_12824 = 1545
  integer, parameter :: nGC_12822 = 1546
  integer, parameter :: nGC_12823 = 1547
  integer, parameter :: nGC_12820 = 1548
  integer, parameter :: nGC_12821 = 1549
  integer, parameter :: nGC_13006 = 1550
  integer, parameter :: nGC_12828 = 1551
  integer, parameter :: nGC_19843 = 1552
  integer, parameter :: nGC_20095 = 1553
  integer, parameter :: nGC_20312 = 1554
  integer, parameter :: nGC_19270 = 1555
  integer, parameter :: nGC_19271 = 1556
  integer, parameter :: nGC_19278 = 1557
  integer, parameter :: nGC_12843 = 1558
  integer, parameter :: nGC_13015 = 1559
  integer, parameter :: nGC_19472 = 1560
  integer, parameter :: nGC_19473 = 1561
  integer, parameter :: nGC_20409 = 1562
  integer, parameter :: nGC_24419 = 1563
  integer, parameter :: nGC_4897 = 1564
  integer, parameter :: nGC_18719 = 1565
  integer, parameter :: nGC_28018 = 1566
  integer, parameter :: nGC_22684 = 1567
  integer, parameter :: nGC_TS_GC_101_Hh = 1568
  integer, parameter :: nGC_19831 = 1569
  integer, parameter :: nGC_19832 = 1570
  integer, parameter :: nGC_19124 = 1571
  integer, parameter :: nGC_12978 = 1572
  integer, parameter :: nGC_29912 = 1573
  integer, parameter :: nGC_12979 = 1574
  integer, parameter :: nGC_TS_GC_136_Hl = 1575
  integer, parameter :: nGC_19762 = 1576
  integer, parameter :: nGC_19763 = 1577
  integer, parameter :: nGC_19586 = 1578
  integer, parameter :: nGC_18782 = 1579
  integer, parameter :: nGC_12983 = 1580
  integer, parameter :: nGC_12986 = 1581
  integer, parameter :: nGC_13102 = 1582
  integer, parameter :: nGC_13103 = 1583
  integer, parameter :: nGC_13100 = 1584
  integer, parameter :: nGC_21557 = 1585
  integer, parameter :: nGC_13104 = 1586
  integer, parameter :: nGC_13105 = 1587
  integer, parameter :: nGC_12902 = 1588
  integer, parameter :: nGC_20548 = 1589
  integer, parameter :: nGC_20549 = 1590
  integer, parameter :: nGC_19519 = 1591
  integer, parameter :: nGC_21886 = 1592
  integer, parameter :: nGC_21887 = 1593
  integer, parameter :: nGC_18810 = 1594
  integer, parameter :: nGC_21889 = 1595
  integer, parameter :: nGC_19057 = 1596
  integer, parameter :: nGC_19298 = 1597
  integer, parameter :: nGC_19357 = 1598
  integer, parameter :: nGC_18979 = 1599
  integer, parameter :: nGC_19359 = 1600
  integer, parameter :: nGC_30551 = 1601
  integer, parameter :: nGC_22064 = 1602
  integer, parameter :: nGC_12775 = 1603
  integer, parameter :: nGC_13101 = 1604
  integer, parameter :: nGC_21451 = 1605
  integer, parameter :: nGC_20189 = 1606
  integer, parameter :: nGC_12778 = 1607
  integer, parameter :: nGC_21452 = 1608
  integer, parameter :: nGC_22573 = 1609
  integer, parameter :: nGC_19792 = 1610
  integer, parameter :: nGC_19795 = 1611
  integer, parameter :: nGC_19794 = 1612
  integer, parameter :: nGC_21190 = 1613
  integer, parameter :: nGC_19817 = 1614
  integer, parameter :: nGC_19814 = 1615
  integer, parameter :: nGC_19815 = 1616
  integer, parameter :: nGC_13055 = 1617
  integer, parameter :: nGC_20667 = 1618
  integer, parameter :: nGC_13056 = 1619
  integer, parameter :: nGC_18841 = 1620
  integer, parameter :: nGC_23077 = 1621
  integer, parameter :: nGC_18845 = 1622
  integer, parameter :: nGC_13029 = 1623
  integer, parameter :: nGC_13028 = 1624
  integer, parameter :: nGC_29619 = 1625
  integer, parameter :: nGC_26064 = 1626
  integer, parameter :: nGC_13021 = 1627
  integer, parameter :: nGC_13020 = 1628
  integer, parameter :: nGC_13023 = 1629
  integer, parameter :: nGC_19125 = 1630
  integer, parameter :: nGC_13025 = 1631
  integer, parameter :: nGC_13024 = 1632
  integer, parameter :: nGC_13026 = 1633
  integer, parameter :: nGC_12869 = 1634
  integer, parameter :: nGC_23075 = 1635
  integer, parameter :: nGC_20191 = 1636
  integer, parameter :: nGC_19183 = 1637
  integer, parameter :: nGC_19126 = 1638
  integer, parameter :: nGC_19522 = 1639
  integer, parameter :: nGC_21189 = 1640
  integer, parameter :: nGC_19418 = 1641
  integer, parameter :: nGC_18955 = 1642
  integer, parameter :: nGC_12870 = 1643
  integer, parameter :: nGC_12974 = 1644
  integer, parameter :: nGC_12879 = 1645
  integer, parameter :: nGC_20050 = 1646
  integer, parameter :: nGC_18914 = 1647
  integer, parameter :: nGC_29920 = 1648
  integer, parameter :: nGC_13058 = 1649
  integer, parameter :: nGC_13059 = 1650
  integer, parameter :: nGC_19138 = 1651
  integer, parameter :: nGC_13057 = 1652
  integer, parameter :: nGC_19339 = 1653
  integer, parameter :: nGC_13053 = 1654
  integer, parameter :: nGC_12892 = 1655
  integer, parameter :: nGC_12891 = 1656
  integer, parameter :: nGC_12890 = 1657
  integer, parameter :: nGC_20201 = 1658
  integer, parameter :: nGC_19134 = 1659
  integer, parameter :: nGC_30098 = 1660
  integer, parameter :: nGC_18748 = 1661
  integer, parameter :: nGC_18980 = 1662
  integer, parameter :: nGC_13022 = 1663
  integer, parameter :: nGC_12968 = 1664
  integer, parameter :: nGC_19300 = 1665
  integer, parameter :: nGC_18803 = 1666
  integer, parameter :: nGC_18829 = 1667
  integer, parameter :: nGC_24049 = 1668
  integer, parameter :: nGC_12806 = 1669
  integer, parameter :: nGC_12807 = 1670
  integer, parameter :: nGC_13043 = 1671
  integer, parameter :: nGC_21888 = 1672
  integer, parameter :: nGC_21524 = 1673
  integer, parameter :: nGC_20736 = 1674
  integer, parameter :: nGC_20530 = 1675
  integer, parameter :: nGC_19908 = 1676
  integer, parameter :: nGC_21781 = 1677
  integer, parameter :: nGC_20137 = 1678
  integer, parameter :: nGC_19419 = 1679
  integer, parameter :: nGC_20503 = 1680
  integer, parameter :: nGC_21217 = 1681
  integer, parameter :: nGC_19318 = 1682
  integer, parameter :: nGC_12955 = 1683
  integer, parameter :: nGC_19556 = 1684
  integer, parameter :: nGC_13075 = 1685
  integer, parameter :: nGC_20096 = 1686
  integer, parameter :: nGC_19852 = 1687
  integer, parameter :: nGC_13013 = 1688
  integer, parameter :: nGC_13014 = 1689
  integer, parameter :: nGC_18978 = 1690
  integer, parameter :: nGC_19541 = 1691
  integer, parameter :: nGC_13019 = 1692
  integer, parameter :: nGC_22355 = 1693
  integer, parameter :: nGC_21672 = 1694
  integer, parameter :: nGC_21556 = 1695
  integer, parameter :: nGC_20455 = 1696
  integer, parameter :: nGC_21021 = 1697
  integer, parameter :: nGC_21022 = 1698
  integer, parameter :: nGC_18723 = 1699
  integer, parameter :: nGC_12947 = 1700
  integer, parameter :: nGC_19562 = 1701
  integer, parameter :: nGC_18924 = 1702
  integer, parameter :: nGC_19679 = 1703
  integer, parameter :: nGC_19618 = 1704
  integer, parameter :: nGC_19996 = 1705
  integer, parameter :: nGC_18923 = 1706
  integer, parameter :: nGC_13067 = 1707
  integer, parameter :: nGC_13060 = 1708
  integer, parameter :: nGC_13062 = 1709
  integer, parameter :: nGC_31515 = 1710
  integer, parameter :: nGC_19297 = 1711
  integer, parameter :: nGC_13068 = 1712
  integer, parameter :: nGC_13001 = 1713
  integer, parameter :: nGC_13007 = 1714
  integer, parameter :: nGC_19680 = 1715
  integer, parameter :: nGC_13088 = 1716
  integer, parameter :: nGC_20188 = 1717
  integer, parameter :: nGC_13081 = 1718
  integer, parameter :: nGC_13080 = 1719
  integer, parameter :: nGC_13087 = 1720
  integer, parameter :: nGC_19573 = 1721
  integer, parameter :: nGC_22685 = 1722
  integer, parameter :: nGC_20706 = 1723
  integer, parameter :: nGC_26349 = 1724
  integer, parameter :: nGC_12779 = 1725
  integer, parameter :: nGC_19173 = 1726
  integer, parameter :: nGC_12931 = 1727
  integer, parameter :: nGC_19076 = 1728
  integer, parameter :: nGC_22354 = 1729
  integer, parameter :: nGC_18815 = 1730
  integer, parameter :: nGC_18816 = 1731
  integer, parameter :: nGC_12939 = 1732
  integer, parameter :: nGC_19371 = 1733
  integer, parameter :: nGC_27296 = 1734
  integer, parameter :: nGC_19079 = 1735
  integer, parameter :: nGC_18956 = 1736
  integer, parameter :: nGC_12758 = 1737
  integer, parameter :: nGC_12759 = 1738
  integer, parameter :: nGC_12998 = 1739
  integer, parameter :: nGC_12751 = 1740
  integer, parameter :: nGC_12752 = 1741
  integer, parameter :: nGC_12753 = 1742
  integer, parameter :: nGC_12756 = 1743
  integer, parameter :: nGC_12757 = 1744
  integer, parameter :: nGC_20531 = 1745
  integer, parameter :: nGC_19505 = 1746
  integer, parameter :: nGC_19269 = 1747
  integer, parameter :: nGC_23088 = 1748
  integer, parameter :: nGC_19816 = 1749
  integer, parameter :: nGC_20433 = 1750
  integer, parameter :: nGC_20434 = 1751
  integer, parameter :: nGC_20435 = 1752
  integer, parameter :: nGC_20436 = 1753
  integer, parameter :: nGC_12776 = 1754
  integer, parameter :: nGC_19027 = 1755
  integer, parameter :: nGC_19737 = 1756
  integer, parameter :: nGC_29918 = 1757
  integer, parameter :: nGC_29678 = 1758
  integer, parameter :: nGC_18866 = 1759
  integer, parameter :: nGC_19521 = 1760
  integer, parameter :: nGC_18942 = 1761
  integer, parameter :: nGC_23089 = 1762
  integer, parameter :: nGC_20085 = 1763
  integer, parameter :: nGC_20286 = 1764
  integer, parameter :: nGC_20285 = 1765
  integer, parameter :: nGC_19200 = 1766
  integer, parameter :: nGC_19898 = 1767
  integer, parameter :: nGC_19897 = 1768
  integer, parameter :: nGC_19199 = 1769
  integer, parameter :: nGC_18846 = 1770
  integer, parameter :: nGC_19739 = 1771
  integer, parameter :: nGC_20086 = 1772
  integer, parameter :: nGC_20190 = 1773
  integer, parameter :: nGC_19299 = 1774
  integer, parameter :: nGC_18750 = 1775
  integer, parameter :: nGC_19738 = 1776
  integer, parameter :: nGC_20456 = 1777
  integer, parameter :: nGC_29532 = 1778
  integer, parameter :: nGC_19080 = 1779
  integer, parameter :: nGC_24050 = 1780
  integer, parameter :: nGC_18749 = 1781
  integer, parameter :: nGC_18981 = 1782
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
