!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_12460) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12461) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12510) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12516) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_12514) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12515) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12648) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12649) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12640) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12641) = sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_12646) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12647) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_307) = 3d0*cima*(-ca**3d0*l3*vevs + 3d0*ca**2d0*l1*sa*vev - 2d0&
                       *ca**2d0*l3*sa*vev - 3d0*ca*l2*sa**2d0*vevs + 2d0*ca*l3*&
                       sa**2d0*vevs + l3*sa**3d0*vev)
      coupl(nGC_71) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12468) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12469) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_349) = 3d0*cima*(ca**3d0*l3*vev + 3d0*ca**2d0*l2*sa*vevs - 2d0*&
                       ca**2d0*l3*sa*vevs + 3d0*ca*l1*sa**2d0*vev - 2d0*ca*l3* &
                       sa**2d0*vev + l3*sa**3d0*vevs)
      coupl(nGC_345) = 3d0*ca**2d0*cima*sa*vev
      coupl(nGC_343) = -cima*(ca**3d0*vevs + 2d0*ca**2d0*sa*vev - 2d0*ca*sa**  &
                       2d0*vevs - sa**3d0*vev)
      coupl(nGC_341) = -3d0*ca*cima*sa**2d0*vevs
      coupl(nGC_168) = -cima*ee**2d0*vev/sw
      coupl(nGC_169) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/( &
                       4d0*cw)
      coupl(nGC_162) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_163) = cima*ee**2d0*sa*vev/(4d0*sw**2d0)
      coupl(nGC_160) = -ca*cima*ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_161) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_166) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_167) = cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_164) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_165) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_12505) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12507) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12506) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_12479) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**3d0*sw**2d0)
      coupl(nGC_12478) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_12471) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_12470) = -cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_12472) = cima*ee**2d0*vev/cw
      coupl(nGC_12477) = ca*cima*ee**2d0/cw
      coupl(nGC_12476) = -ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12659) = -3d0*cima*sa**4d0
      coupl(nGC_12658) = -3d0*ca**4d0*cima
      coupl(nGC_12655) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12657) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + l1*sa**  &
                         2d0 - l3*sa**2d0)
      coupl(nGC_12656) = -ee**2d0/cw
      coupl(nGC_12651) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12650) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12652) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_220) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_223) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_222) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_225) = cima*yup
      coupl(nGC_224) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_227) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_226) = sqrt(2d0)*yup/2d0
      coupl(nGC_228) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_359) = 3d0*cima*sa**3d0*vev
      coupl(nGC_355) = -3d0*ca**3d0*cima*vevs
      coupl(nGC_357) = 3d0*ca*cima*sa*(ca*vev - sa*vevs)
      coupl(nGC_351) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0)
      coupl(nGC_353) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
      coupl(nGC_179) = -ca*cima*l3*vevs + cima*l1*sa*vev
      coupl(nGC_178) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0&
                       *sa*vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_171) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/( &
                       2d0*cw)
      coupl(nGC_170) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(  &
                       4d0*cw)
      coupl(nGC_173) = -ca*cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*ee &
                       **2d0*vev/2d0 - ca*cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0&
                       )
      coupl(nGC_172) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(  &
                       2d0*cw)
      coupl(nGC_175) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee**&
                       2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_174) = -ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*ee &
                       **2d0*vev - ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_177) = -cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) - cima*ee**  &
                       2d0*sa*vev - cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_176) = cima*cw**2d0*ee**2d0*sa*vev/(4d0*sw**2d0) + cima*ee**2d0&
                       *sa*vev/2d0 + cima*ee**2d0*sa*sw**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
      coupl(nGC_12310) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12311) = -cima*ee**2d0*vev/sw
      coupl(nGC_12313) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12317) = cima*ee/cw
      coupl(nGC_12318) = cima*ee*sw/cw
      coupl(nGC_12319) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12408) = -cima*l3*sa
      coupl(nGC_24) = -3d0*cima*l1
      coupl(nGC_12404) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                         2d0*sw**2d0)
      coupl(nGC_12405) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12406) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_25) = -ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_12400) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12401) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12402) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12403) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_99) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_98) = ee/(2d0*sw)
      coupl(nGC_97) = -ee/(2d0*sw)
      coupl(nGC_96) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_95) = -cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_94) = -cima*ee**2d0*sa**2d0/(4d0*sw**2d0)
      coupl(nGC_93) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_92) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_91) = ca*cima*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_90) = ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_75) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_74) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_77) = -ca*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_76) = -ca*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_70) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_73) = cima*ee**2d0/sw**2d0
      coupl(nGC_72) = -cima*ee**2d0/sw**2d0
      coupl(nGC_79) = ca*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_78) = ca*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_218) = sqrt(2d0)*yt/2d0
      coupl(nGC_219) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_214) = -sqrt(2d0)*ys/2d0
      coupl(nGC_215) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_216) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_217) = cima*yt
      coupl(nGC_210) = -sqrt(2d0)*ym/2d0
      coupl(nGC_211) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_212) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_213) = -cima*ys
      coupl(nGC_369) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_363) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_144) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       )
      coupl(nGC_145) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*   &
                       cima*ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       )
      coupl(nGC_146) = ca*cima*cw**2d0*ee**2d0*sa/(4d0*sw**2d0) + ca*cima*ee** &
                       2d0*sa/2d0 + ca*cima*ee**2d0*sa*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_147) = -ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*ee**&
                       2d0*sa - ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_140) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_141) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_142) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_143) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0)
      coupl(nGC_148) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee** &
                       2d0*sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_149) = -cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) - cima*ee** &
                       2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(4d0*cw**&
                       2d0)
      coupl(nGC_365) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_12303) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12302) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_12301) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_12300) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_12307) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12306) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12305) = sqrt(2d0)/2d0
      coupl(nGC_12304) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_12309) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12308) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12419) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_12418) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12417) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_12416) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_12415) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_12414) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_12413) = -ca*cima*ee**2d0/sw
      coupl(nGC_12412) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12411) = -cima*sa*vevs
      coupl(nGC_12410) = -ca*cima*vev
      coupl(nGC_88) = -ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_89) = ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_12436) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_80) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_81) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_82) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_83) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_84) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_85) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_86) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_87) = -ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_66) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -  &
                      cima*l1*sa**2d0 + cima*ee**2d0*sa**2d0/(4d0*cw**2d0)
      coupl(nGC_67) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -  &
                      cima*l1*sa**2d0
      coupl(nGC_64) = cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cima*ee**2d0*sa/(2d0* &
                      cw)
      coupl(nGC_65) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -  &
                      cima*l1*sa**2d0
      coupl(nGC_62) = cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cima*ee**2d0*sa/(4d0* &
                      cw)
      coupl(nGC_63) = -cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cima*ee**2d0*sa/(2d0*&
                      cw)
      coupl(nGC_60) = ca*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*l1*sa - ca*   &
                      cima*l3*sa + ca*cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_61) = -cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cima*ee**2d0*sa/(4d0*&
                      cw)
      coupl(nGC_68) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -  &
                      cima*l1*sa**2d0 - cima*ee**2d0*sa**2d0/(2d0*cw**2d0)
      coupl(nGC_69) = -cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_209) = -cima*ym
      coupl(nGC_208) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_203) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_202) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_201) = -cima*ydo
      coupl(nGC_200) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_207) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_206) = -sqrt(2d0)*ye/2d0
      coupl(nGC_205) = -cima*ye
      coupl(nGC_204) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_377) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_371) = sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_557) = -coupl(nGC_202)
      coupl(nGC_153) = ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_152) = -ee**2d0*vev/(4d0*cw**2d0)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
