!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_12706) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12705) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12704) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**2d0*sw**3d0)
      coupl(nGC_12703) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**3d0*sw**2d0)
      coupl(nGC_12702) = -ca*cima*vevs
      coupl(nGC_12701) = cima*sa*vev
      coupl(nGC_12700) = cima*(ca*l1*vev + l3*sa*vevs)
      coupl(nGC_12709) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12708) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12497) = 2d0*cima*gs**2d0
      coupl(nGC_12366) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12369) = cima*ee**2d0/sw**2d0
      coupl(nGC_12368) = -cima*ee**2d0/sw**3d0
      coupl(nGC_12639) = 2d0*cima*cw*ee/sw
      coupl(nGC_12633) = cima*cw*ee/sw
      coupl(nGC_12632) = -cima*cw*ee/sw**2d0
      coupl(nGC_12631) = cima*ee/sw
      coupl(nGC_12637) = 2d0*cima*ee/sw
      coupl(nGC_12636) = -2d0*cima*cw*ee/sw
      coupl(nGC_12635) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_12634) = -2d0*cima*ee/sw
      coupl(nGC_12388) = sqrt(2d0)/2d0
      coupl(nGC_12382) = -sqrt(2d0)/2d0
      coupl(nGC_12381) = -cima*ee
      coupl(nGC_12380) = -3d0*cima
      coupl(nGC_12296) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12293) = -cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_12556) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12557) = sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_12554) = -cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**  &
                         2d0*sw**2d0)
      coupl(nGC_12555) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12552) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12553) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12550) = -cima*ee**2d0*sa/cw
      coupl(nGC_12551) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1579) = -coupl(nGC_222)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_221) = -cima*ytau
      coupl(nGC_12606) = 3d0*ca**3d0*cima*sa
      coupl(nGC_12607) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_12604) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - 3d0*ca**2d0*l1*sa &
                         **2d0 - 3d0*ca**2d0*l2*sa**2d0 + 6d0*ca**2d0*l3*sa**  &
                         2d0 + l2*sa**4d0 - l3*sa**4d0)
      coupl(nGC_12605) = -3d0*ca*cima*sa**3d0
      coupl(nGC_12602) = -3d0*ca**4d0*cima
      coupl(nGC_12603) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_12600) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - l2*sa**2d0 &
                          + l3*sa**2d0)
      coupl(nGC_12601) = -3d0*cima*sa**4d0
      coupl(nGC_12738) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0  &
                         )**2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_12732) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12733) = cima*ee**2d0*sa/sw
      coupl(nGC_12730) = -cima*ee**2d0*sa/sw
      coupl(nGC_12731) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_12736) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                         2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12737) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12734) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_12735) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_383) = sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_381) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_387) = cima*gs
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_12332) = -2d0*gs
      coupl(nGC_12333) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_124) = cima*ee*sw/cw
      coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_122) = cima*ee*sw/(3d0*cw)
      coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_121) = cima*ee**2d0*sa/sw
      coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_I) = cima
      coupl(nGC_12549) = cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_12543) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_12545) = -cima*sa**2d0
      coupl(nGC_12544) = -ca**2d0*cima
      coupl(nGC_12614) = -sqrt(2d0)/2d0
      coupl(nGC_12619) = cima*ee**2d0*sa/cw
      coupl(nGC_12618) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_12729) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12728) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_12727) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_12726) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_12721) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                         2d0*sw**2d0)
      coupl(nGC_12720) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                         sw**2d0)
      coupl(nGC_12422) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12423) = ee**2d0/cw
      coupl(nGC_12420) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12421) = sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_12488) = ee/(2d0*sw)
      coupl(nGC_3125) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_643) = -coupl(nGC_3)
      coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_137) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
      coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_12444) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_12445) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_12446) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_12447) = cima*ee
      coupl(nGC_12448) = -2d0*cima*ee
      coupl(nGC_12449) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1197) = -coupl(nGC_214)
      coupl(nGC_12538) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**&
                         2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_12534) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw&
                         **2d0)
      coupl(nGC_12535) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                         2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12536) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12537) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12530) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                         sw**2d0)
      coupl(nGC_12531) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw &
                         **2d0*sw**2d0)
      coupl(nGC_12532) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**3d0*sw**2d0)
      coupl(nGC_12533) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**2d0*sw**3d0)
      coupl(nGC_12667) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12660) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_12668) = ca*cima*ee**2d0/sw
      coupl(nGC_12669) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_12282) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12283) = cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_12280) = cima*ee*sa/(2d0*sw)
      coupl(nGC_12281) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12286) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12287) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12284) = -cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_12285) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12288) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12289) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_12269) = sqrt(2d0)/2d0
      coupl(nGC_52) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_3111) = -coupl(nGC_21)
      coupl(nGC_3113) = -2d0*coupl(nGC_21)
      coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_101) = ca*cima*ee/(2d0*sw)
      coupl(nGC_102) = -cima*cw*ee/sw
      coupl(nGC_103) = cima*cw*ee/sw
      coupl(nGC_104) = -2d0*cima*cw*ee/sw
      coupl(nGC_105) = 2d0*cima*cw*ee/sw
      coupl(nGC_106) = -ee**2d0/sw
      coupl(nGC_107) = -ee**2d0/(2d0*sw)
      coupl(nGC_108) = ee**2d0/(2d0*sw)
      coupl(nGC_109) = ee**2d0/sw
      coupl(nGC_12453) = -cima*ee**2d0/sw**2d0
      coupl(nGC_12452) = cima*ee**2d0/sw**3d0
      coupl(nGC_12455) = -2d0*cima*ee**2d0
      coupl(nGC_12454) = -4d0*cima*ee**2d0
      coupl(nGC_12459) = 4d0*cima*ee**2d0
      coupl(nGC_12312) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_12314) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12315) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12316) = -cima*ee*sw/cw**2d0
      coupl(nGC_12529) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12528) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12527) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12523) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_12522) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12521) = -2d0*cima*ee**2d0/sw
      coupl(nGC_12677) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_12676) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12675) = 2d0*cima*ee**2d0/sw
      coupl(nGC_12674) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_12673) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12679) = -ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_12678) = ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_12295) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12294) = cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_12297) = ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12608) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12299) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12298) = -ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12279) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_12278) = ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_12273) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12272) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_12271) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12270) = -gs
      coupl(nGC_12277) = cima*ee*sw/(3d0*cw)
      coupl(nGC_12276) = cima*ee/(3d0*cw)
      coupl(nGC_12275) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_12274) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_853) = -2d0*coupl(nGC_8)
      coupl(nGC_12499) = -cima*sa**2d0
      coupl(nGC_12498) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_3103) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_3107) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_3105) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_12367) = -ee**2d0/sw
    end subroutine fill_couplings_mdl3
end module fill_couplings3
