!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_13116) = -cima*dl1_QED4
      coupl(nGC_13189) = -cima*dye_QED3
      coupl(nGC_21017) = coupl(nGC_224)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_13260) = coupl(nGC_12650)*dcw_QED2 + coupl(nGC_12651)*dsw_QED2 &
                          + coupl(nGC_12652)*dZee_QED2
      coupl(nGC_13254) = coupl(nGC_12646)*dcw_QED2 + coupl(nGC_12647)*dsw_QED2 &
                          + coupl(nGC_12648)*dZee_QED2 + coupl(nGC_12649)*     &
                         da_QED2
      coupl(nGC_22954) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_20761) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_20762) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_13245) = coupl(nGC_12306)*dcw_QED2 + coupl(nGC_12307)*dsw_QED2 &
                          + coupl(nGC_12308)*dZee_QED2 + coupl(nGC_12309)*     &
                         da_QED2
      coupl(nGC_13243) = coupl(nGC_12300)*dcw_QED2 + coupl(nGC_12301)*dsw_QED2 &
                          + coupl(nGC_12302)*dZee_QED2
      coupl(nGC_13242) = coupl(nGC_12460)*dsw_QED2 + coupl(nGC_12461)*dZee_QED2
      coupl(nGC_13333) = -cima*dMHH2_QED2
      coupl(nGC_13332) = -cima*dMHL2_QED2
      coupl(nGC_13335) = -cima*dME_QED2
      coupl(nGC_13337) = -cima*dMTA_QED2
      coupl(nGC_13336) = -cima*dMM_QED2
      coupl(nGC_13339) = -cima*dMU_QCD2
      coupl(nGC_13338) = -cima*dMU_QED2
      coupl(nGC_27975) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_27978) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_20109) = coupl(nGC_226)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20801) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_20800) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_20803) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_20802) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_TS_GC_227_Hh) = -coupl(nGC_227)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13259) = coupl(nGC_12514)*dcw_QED2 + coupl(nGC_12515)*dsw_QED2 &
                          + coupl(nGC_12516)*dZee_QED2
      coupl(nGC_13344) = -cima*dMD_QED2
      coupl(nGC_13345) = -cima*dMD_QCD2
      coupl(nGC_13346) = -cima*dMS_QED2
      coupl(nGC_13347) = -cima*dMS_QCD2
      coupl(nGC_13340) = -cima*dMC_QED2
      coupl(nGC_13341) = -cima*dMC_QCD2
      coupl(nGC_13342) = -cima*dMT_QED2
      coupl(nGC_13343) = -cima*dMT_QCD2
      coupl(nGC_13348) = -cima*dMB_QED2
      coupl(nGC_13349) = -cima*dMB_QCD2
      coupl(nGC_TS_GC_203_Hh) = -coupl(nGC_203)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_212_Hl) = -coupl(nGC_212)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20602) = coupl(nGC_210)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_19675) = coupl(nGC_208)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_24045) = coupl(nGC_212)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_TS_GC_204_Hl) = -coupl(nGC_204)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19484) = coupl(nGC_223)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_25884) = coupl(nGC_175)*dZZA_QED2/2d0
      coupl(nGC_13351) = cima*dMW2_QED2
      coupl(nGC_13350) = cima*dMZ2_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
