!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_19950) = coupl(nGC_13189) + coupl(nGC_205)*dZeMinusR_QED2/2d0  &
                          + coupl(nGC_205)*dZnu_eL_QED2/2d0
      coupl(nGC_TS_GC_200_Hl) = -coupl(nGC_200)*dtHl_QED1/cMHL**2d0
      coupl(nGC_27974) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_27976) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_27977) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
      coupl(nGC_27973) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_20059) = coupl(nGC_13242) + 2d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_145_Hh) = -coupl(nGC_145)*dtHh_QED1/cMHH**2d0
      coupl(nGC_18828) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_18825) = coupl(nGC_147)*dZZA_QED2/2d0
      coupl(nGC_23988) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_19415) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_21120) = coupl(nGC_211)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_TS_GC_199_Hh) = -coupl(nGC_199)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_96_Hl) = -coupl(nGC_96)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_191_Hh) = -coupl(nGC_191)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13038) = cima*(5d0*Nc*coupl(nGC_193)**4d0 + 5d0*Nc*coupl(      &
                         nGC_197)**4d0 + 5d0*Nc*coupl(nGC_201)**4d0 + 5d0*Nc*  &
                         coupl(nGC_213)**4d0 + 5d0*Nc*coupl(nGC_217)**4d0 + 5d0&
                         *Nc*coupl(nGC_225)**4d0 + 3d0*coupl(nGC_10)**2d0 + 6d0&
                         *coupl(nGC_134)**2d0 + 3d0*coupl(nGC_141)**2d0 + 5d0* &
                         coupl(nGC_205)**4d0 + 5d0*coupl(nGC_209)**4d0 + 5d0*  &
                         coupl(nGC_221)**4d0 + 6d0*coupl(nGC_71)**2d0)/(24d0*pi&
                         **2d0)
      coupl(nGC_13108) = coupl(nGC_12479)*dcw_QED2 + coupl(nGC_12480)*dsw_QED2 &
                          + coupl(nGC_12481)*dZee_QED2
      coupl(nGC_13109) = coupl(nGC_12422)*dcw_QED2 + coupl(nGC_12423)*dZee_QED2
      coupl(nGC_13106) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc&
                         **3d0)
      coupl(nGC_12852) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl( &
                         nGC_201)*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201&
                         )*coupl(nGC_204)*coupl(nGC_228) - coupl(nGC_201)*coupl&
                         (nGC_557)*coupl(nGC_637))/(32d0*pi**2d0)
      coupl(nGC_12851) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl( &
                         nGC_202)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_203&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl&
                         (nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_12850) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl( &
                         nGC_197)*coupl(nGC_198)*coupl(nGC_214) - coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl&
                         (nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_22353) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
      coupl(nGC_22352) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
      coupl(nGC_22350) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_13218) = coupl(nGC_381)*dyt_QED3 + coupl(nGC_383)*da_QED2
      coupl(nGC_13219) = coupl(nGC_12455)*dZee_QED2
      coupl(nGC_13216) = coupl(nGC_12591)*dyc_QED3 + coupl(nGC_12592)*da_QED2
      coupl(nGC_13217) = coupl(nGC_381)*dyt_QED1_QCD2
      coupl(nGC_13214) = coupl(nGC_12418)*dyup_QED3 + coupl(nGC_12419)*da_QED2
      coupl(nGC_13212) = coupl(nGC_375)*dyt_QED3 + coupl(nGC_377)*da_QED2
      coupl(nGC_13213) = coupl(nGC_12418)*dyup_QED1_QCD2
      coupl(nGC_13210) = coupl(nGC_12505)*dyc_QED3 + coupl(nGC_12506)*da_QED2
      coupl(nGC_13211) = coupl(nGC_375)*dyt_QED1_QCD2
      coupl(nGC_19895) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
      coupl(nGC_19966) = coupl(nGC_195)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_19967) = coupl(nGC_195)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_23790) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_20108) = coupl(nGC_226)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_23792) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_23793) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_23794) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_12949) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -  &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_20685) = coupl(nGC_13139) + coupl(nGC_174)*dZHh_QED2/2d0 +     &
                         coupl(nGC_178)*dZHlHh_QED2/2d0
      coupl(nGC_13188) = coupl(nGC_12273)*dyb_QED3 + coupl(nGC_12274)*da_QED2
      coupl(nGC_28545) = coupl(nGC_MI)*dZg_QCD2
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
