!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_28546) = -coupl(nGC_28545)
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12810) = (coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_20450) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_19403) = coupl(nGC_203)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_19402) = coupl(nGC_203)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20526) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_20527) = coupl(nGC_19)*dZsL_QCD2
      coupl(nGC_20528) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_20529) = coupl(nGC_19)*dZsR_QCD2
      coupl(nGC_TS_GC_208_Hl) = -coupl(nGC_208)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22955) = -coupl(nGC_22954)
      coupl(nGC_13354) = coupl(nGC_517)*dMZ2_QED2
      coupl(nGC_12970) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(      &
                         nGC_124)*coupl(nGC_210)*coupl(nGC_607) + coupl(nGC_124&
                         )*coupl(nGC_211)**2d0 + coupl(nGC_124)*coupl(nGC_212  &
                         )**2d0 + 4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*&
                         coupl(nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_29508) = -coupl(nGC_12825)
      coupl(nGC_19787) = coupl(nGC_126)*dZtL_QCD2
      coupl(nGC_TS_GC_211_Hh) = -coupl(nGC_211)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19623) = coupl(nGC_13152) + coupl(nGC_6)*dZWMinus_QED2/2d0
      coupl(nGC_19193) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_19190) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_19197) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
      coupl(nGC_19130) = coupl(nGC_108)*dZAZ_QED2/2d0 + coupl(nGC_13109) +     &
                         coupl(nGC_14)*dZWMinus_QED2/2d0 + coupl(nGC_14)*      &
                         dZZ_QED2/2d0
      coupl(nGC_19051) = coupl(nGC_13168) + coupl(nGC_193)*dZbR_QED2/2d0 +     &
                         coupl(nGC_193)*dZtL_QED2/2d0
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_18875) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*    &
                         dZZ_QED2/2d0 + coupl(nGC_13220) + coupl(nGC_7)*       &
                         dZAZ_QED2/2d0
      coupl(nGC_19355) = coupl(nGC_219)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_19356) = coupl(nGC_219)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_19358) = coupl(nGC_13212) + coupl(nGC_219)*dZHh_QED2/2d0 +     &
                         coupl(nGC_220)*dZHlHh_QED2/2d0
      coupl(nGC_19293) = coupl(nGC_122)*dZdR_QCD2
      coupl(nGC_18973) = coupl(nGC_126)*dZcL_QCD2
      coupl(nGC_19296) = coupl(nGC_125)*dZdL_QCD2
      coupl(nGC_13119) = coupl(nGC_12600)*da_QED2 + coupl(nGC_12601)*dl2_QED4  &
                          + coupl(nGC_12602)*dl1_QED4 + coupl(nGC_12603)*      &
                         dl3_QED4
      coupl(nGC_13118) = coupl(nGC_12543)*da_QED2 + coupl(nGC_12544)*dl1_QED4  &
                          + coupl(nGC_12545)*dl3_QED4
      coupl(nGC_13115) = coupl(nGC_12380)*dl1_QED4
      coupl(nGC_13114) = coupl(nGC_12507)*dcw_QED2 + coupl(nGC_12508)*dsw_QED2 &
                          + coupl(nGC_12509)*dZee_QED2 + coupl(nGC_12510)*     &
                         da_QED2
      coupl(nGC_13117) = coupl(nGC_12370)*dl1_QED4
      coupl(nGC_13111) = coupl(nGC_12454)*dZee_QED2
      coupl(nGC_13110) = coupl(nGC_12655)*dcw_QED2 + coupl(nGC_12656)*dZee_QED2
      coupl(nGC_13113) = coupl(nGC_12476)*dcw_QED2 + coupl(nGC_12477)*dZee_QED2&
                          + coupl(nGC_12478)*da_QED2
      coupl(nGC_13112) = coupl(nGC_12703)*dcw_QED2 + coupl(nGC_12704)*dsw_QED2 &
                          + coupl(nGC_12705)*dZee_QED2
      coupl(nGC_TS_GC_130_Hh) = -coupl(nGC_130)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12862) = coupl(nGC_1543)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12863) = (-coupl(nGC_1197)*coupl(nGC_197)*coupl(nGC_213) + 8d0*&
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) - coupl( &
                         nGC_1543)*coupl(nGC_198)**2d0 - coupl(nGC_1543)*coupl(&
                         nGC_199)**2d0 - coupl(nGC_1543)*coupl(nGC_200)**2d0 + &
                         8d0*coupl(nGC_198)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12860) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12861) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_1543) -  &
                         coupl(nGC_1543)**2d0*coupl(nGC_198) + 8d0*coupl(      &
                         nGC_1543)*coupl(nGC_2)**2d0 - coupl(nGC_197)*coupl(   &
                         nGC_213)*coupl(nGC_214) - coupl(nGC_198)*coupl(nGC_199&
                         )**2d0 - coupl(nGC_198)*coupl(nGC_200)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_12866) = coupl(nGC_19)**2d0*coupl(nGC_557)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12867) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_202) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_202) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_637) - coupl(nGC_202)**2d0*&
                         coupl(nGC_557) - coupl(nGC_203)**2d0*coupl(nGC_557) - &
                         coupl(nGC_204)**2d0*coupl(nGC_557))/(32d0*pi**2d0)
      coupl(nGC_12864) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12865) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_557) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_557) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_202)*coupl&
                         (nGC_203)**2d0 - coupl(nGC_202)*coupl(nGC_204)**2d0 - &
                         coupl(nGC_202)*coupl(nGC_557)**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
