!******************************************************************************!
!                                                                              !
!    ctparameter122.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter122.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter122
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter122()
  if (dZdL_QED2_scheme .eq. 2) then
    dZdL_QED2 = (Ten177*coupl(nGC_1)**2d0 + Ten241*(-2d0*coupl(nGC_125)**2d0 + &
                coupl(nGC_202)**2d0) - Ten242*coupl(nGC_203)**2d0 - Ten243*    &
                coupl(nGC_204)**2d0 + Ten264*(coupl(nGC_225)**2d0 + 2d0*coupl( &
                nGC_99)**2d0) + Ten265*(coupl(nGC_225)**2d0 + 2d0*coupl(nGC_99 &
                )**2d0) + pi**2d0*(-coupl(nGC_125)**2d0/pi**2d0 - coupl(nGC_99 &
                )**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter122
end module ctparameter122
