!******************************************************************************!
!                                                                              !
!    ctparameter141.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter141.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter141
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter141()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHlHh_MS_QED2 = DeltaUV*(-24d0*Nc*cMB**2d0*coupl(nGC_195)*coupl(nGC_196)*   &
                   rMHH**2d0 + 24d0*Nc*cMB**2d0*coupl(nGC_195)*coupl(nGC_196)* &
                   rMHL**2d0 - 24d0*Nc*cMC**2d0*coupl(nGC_199)*coupl(nGC_200)* &
                   rMHH**2d0 + 24d0*Nc*cMC**2d0*coupl(nGC_199)*coupl(nGC_200)* &
                   rMHL**2d0 - 24d0*Nc*cMD**2d0*coupl(nGC_203)*coupl(nGC_204)* &
                   rMHH**2d0 + 24d0*Nc*cMD**2d0*coupl(nGC_203)*coupl(nGC_204)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_195)*coupl(nGC_196)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_195)*coupl(nGC_196)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_199)*coupl(nGC_200)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_199)*coupl(nGC_200)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_203)*coupl(nGC_204)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_203)*coupl(nGC_204)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_215)*coupl(nGC_216)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_215)*coupl(nGC_216)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_219)*coupl(nGC_220)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_219)*coupl(nGC_220)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_227)*coupl(nGC_228)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_227)*coupl(nGC_228)* &
                   rMHL**2d0 - 24d0*Nc*cMS**2d0*coupl(nGC_215)*coupl(nGC_216)* &
                   rMHH**2d0 + 24d0*Nc*cMS**2d0*coupl(nGC_215)*coupl(nGC_216)* &
                   rMHL**2d0 - 24d0*Nc*cMT**2d0*coupl(nGC_219)*coupl(nGC_220)* &
                   rMHH**2d0 + 24d0*Nc*cMT**2d0*coupl(nGC_219)*coupl(nGC_220)* &
                   rMHL**2d0 - 24d0*Nc*cMU**2d0*coupl(nGC_227)*coupl(nGC_228)* &
                   rMHH**2d0 + 24d0*Nc*cMU**2d0*coupl(nGC_227)*coupl(nGC_228)* &
                   rMHL**2d0 - 24d0*cME**2d0*coupl(nGC_207)*coupl(nGC_208)*rMHH&
                   **2d0 + 24d0*cME**2d0*coupl(nGC_207)*coupl(nGC_208)*rMHL**  &
                   2d0 + 8d0*cMHH**2d0*coupl(nGC_100)*coupl(nGC_117)*rMHH**2d0 &
                    - 8d0*cMHH**2d0*coupl(nGC_100)*coupl(nGC_117)*rMHL**2d0 +  &
                   8d0*cMHH**2d0*coupl(nGC_101)*coupl(nGC_118)*rMHH**2d0 - 8d0*&
                   cMHH**2d0*coupl(nGC_101)*coupl(nGC_118)*rMHL**2d0 + 8d0*cMHH&
                   **2d0*coupl(nGC_130)*coupl(nGC_136)*rMHH**2d0 - 8d0*cMHH**  &
                   2d0*coupl(nGC_130)*coupl(nGC_136)*rMHL**2d0 + 4d0*cMHH**2d0*&
                   coupl(nGC_207)*coupl(nGC_208)*rMHH**2d0 - 4d0*cMHH**2d0*    &
                   coupl(nGC_207)*coupl(nGC_208)*rMHL**2d0 + 4d0*cMHH**2d0*    &
                   coupl(nGC_211)*coupl(nGC_212)*rMHH**2d0 - 4d0*cMHH**2d0*    &
                   coupl(nGC_211)*coupl(nGC_212)*rMHL**2d0 + 4d0*cMHH**2d0*    &
                   coupl(nGC_223)*coupl(nGC_224)*rMHH**2d0 - 4d0*cMHH**2d0*    &
                   coupl(nGC_223)*coupl(nGC_224)*rMHL**2d0 - cima*cMHH**2d0*   &
                   coupl(nGC_33)*rMHH**2d0 + cima*cMHH**2d0*coupl(nGC_33)*rMHL &
                   **2d0 - cima*cMHL**2d0*coupl(nGC_32)*rMHH**2d0 + cima*cMHL**&
                   2d0*coupl(nGC_32)*rMHL**2d0 - 24d0*cMM**2d0*coupl(nGC_211)* &
                   coupl(nGC_212)*rMHH**2d0 + 24d0*cMM**2d0*coupl(nGC_211)*    &
                   coupl(nGC_212)*rMHL**2d0 - 24d0*cMTA**2d0*coupl(nGC_223)*   &
                   coupl(nGC_224)*rMHH**2d0 + 24d0*cMTA**2d0*coupl(nGC_223)*   &
                   coupl(nGC_224)*rMHL**2d0 - 2d0*cima*cMW**2d0*coupl(nGC_59)* &
                   rMHH**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_59)*rMHL**2d0 + 8d0*&
                   cima*cMW**2d0*coupl(nGC_92)*rMHH**2d0 - 8d0*cima*cMW**2d0*  &
                   coupl(nGC_92)*rMHL**2d0 + 4d0*cima*cMW**2d0*coupl(nGC_93)*  &
                   rMHH**2d0 - 4d0*cima*cMW**2d0*coupl(nGC_93)*rMHL**2d0 + 4d0*&
                   cima*cMZ**2d0*coupl(nGC_147)*rMHH**2d0 - 4d0*cima*cMZ**2d0* &
                   coupl(nGC_147)*rMHL**2d0 + 2d0*cima*cMZ**2d0*coupl(nGC_148)*&
                   rMHH**2d0 - 2d0*cima*cMZ**2d0*coupl(nGC_148)*rMHL**2d0 -    &
                   cima*cMZ**2d0*coupl(nGC_60)*rMHH**2d0 + cima*cMZ**2d0*coupl(&
                   nGC_60)*rMHL**2d0 - 4d0*coupl(nGC_161)*coupl(nGC_165)*rMHH**&
                   2d0 + 4d0*coupl(nGC_161)*coupl(nGC_165)*rMHL**2d0 + 8d0*    &
                   coupl(nGC_162)*coupl(nGC_164)*rMHH**2d0 - 8d0*coupl(nGC_162 &
                   )*coupl(nGC_164)*rMHL**2d0 - 2d0*coupl(nGC_174)*coupl(      &
                   nGC_178)*rMHH**2d0 + 2d0*coupl(nGC_174)*coupl(nGC_178)*rMHL &
                   **2d0 + 4d0*coupl(nGC_175)*coupl(nGC_177)*rMHH**2d0 - 4d0*  &
                   coupl(nGC_175)*coupl(nGC_177)*rMHL**2d0 + 2d0*coupl(nGC_182 &
                   )*coupl(nGC_187)*rMHH**2d0 - 2d0*coupl(nGC_182)*coupl(      &
                   nGC_187)*rMHL**2d0 + coupl(nGC_183)*coupl(nGC_188)*rMHH**2d0&
                    - coupl(nGC_183)*coupl(nGC_188)*rMHL**2d0 + coupl(nGC_189)*&
                   coupl(nGC_191)*rMHH**2d0 - coupl(nGC_189)*coupl(nGC_191)*   &
                   rMHL**2d0 + 2d0*coupl(nGC_189)*coupl(nGC_192)*rMHH**2d0 -   &
                   2d0*coupl(nGC_189)*coupl(nGC_192)*rMHL**2d0 + coupl(nGC_190 &
                   )*coupl(nGC_192)*rMHH**2d0 - coupl(nGC_190)*coupl(nGC_192)* &
                   rMHL**2d0)/(16d0*pi**2d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*  &
                   rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)) +   &
                   2d0*cima*coupl(nGC_192)*dtHl_MS_QED1*(-rMHH**2d0 + rMHL**2d0&
                   )/(cMHL**2d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -   &
                   cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)) + 2d0*cima*coupl&
                   (nGC_189)*dtHh_MS_QED1*(-rMHH**2d0 + rMHL**2d0)/(cMHH**2d0*(&
                   cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                   2d0 + cMHL**2d0*rMHL**2d0))
    if (.not. complex_mass_scheme) then
      dZHlHh_MS_QED2 = cone*real(dZHlHh_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter141
end module ctparameter141
