!******************************************************************************!
!                                                                              !
!    ctparameter143.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter143.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter143
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter143()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dtb_MS_QED2 = dZHh_MS_QED2*tb/(2d0*(-ca**2d0 + sa**2d0)) - dZHl_MS_QED2*tb/( &
                2d0*(-ca**2d0 + sa**2d0)) + dtHl_MS_QED1*(-ca**3d0 - ca**2d0*sa&
                *tb + ca*sa**2d0 + sa**3d0*tb)/(cMHL**2d0*vev*(-ca**2d0 + sa** &
                2d0)) + dtHh_MS_QED1*(ca**3d0*tb - ca**2d0*sa - ca*sa**2d0*tb  &
                 + sa**3d0)/(cMHH**2d0*vev*(-ca**2d0 + sa**2d0))
    if (.not. complex_mass_scheme) then
      dtb_MS_QED2 = cone*real(dtb_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter143
end module ctparameter143
