!******************************************************************************!
!                                                                              !
!    ctparameter145.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter145.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter145
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter145()
  dMHH2_QED2 = (4d0*Nc*Ten103*cMU**2d0*coupl(nGC_227)**2d0 + 4d0*Nc*Ten104*cMC &
               **2d0*coupl(nGC_199)**2d0 + 4d0*Nc*Ten105*cMT**2d0*coupl(nGC_219&
               )**2d0 + 4d0*Nc*Ten106*cMD**2d0*coupl(nGC_203)**2d0 + 4d0*Nc*   &
               Ten107*cMS**2d0*coupl(nGC_215)**2d0 + 4d0*Nc*Ten108*cMB**2d0*   &
               coupl(nGC_195)**2d0 + 4d0*Nc*Ten118*cMHH**2d0*coupl(nGC_227)**  &
               2d0 + 16d0*Nc*Ten119*coupl(nGC_227)**2d0 + 4d0*Nc*Ten120*cMHH** &
               2d0*coupl(nGC_227)**2d0 + 4d0*Nc*Ten121*cMHH**2d0*coupl(nGC_199 &
               )**2d0 + 16d0*Nc*Ten122*coupl(nGC_199)**2d0 + 4d0*Nc*Ten123*cMHH&
               **2d0*coupl(nGC_199)**2d0 + 4d0*Nc*Ten124*cMHH**2d0*coupl(      &
               nGC_219)**2d0 + 16d0*Nc*Ten125*coupl(nGC_219)**2d0 + 4d0*Nc*    &
               Ten126*cMHH**2d0*coupl(nGC_219)**2d0 + 4d0*Nc*Ten127*cMHH**2d0* &
               coupl(nGC_203)**2d0 + 16d0*Nc*Ten128*coupl(nGC_203)**2d0 + 4d0* &
               Nc*Ten129*cMHH**2d0*coupl(nGC_203)**2d0 + 4d0*Nc*Ten130*cMHH**  &
               2d0*coupl(nGC_215)**2d0 + 16d0*Nc*Ten131*coupl(nGC_215)**2d0 +  &
               4d0*Nc*Ten132*cMHH**2d0*coupl(nGC_215)**2d0 + 4d0*Nc*Ten133*cMHH&
               **2d0*coupl(nGC_195)**2d0 + 16d0*Nc*Ten134*coupl(nGC_195)**2d0  &
                + 4d0*Nc*Ten135*cMHH**2d0*coupl(nGC_195)**2d0 + 4d0*Nc*Ten141* &
               cMU**2d0*coupl(nGC_227)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*  &
               Ten142*cMC**2d0*coupl(nGC_199)**2d0*(cMHH**2d0 - rMHH**2d0) +   &
               4d0*Nc*Ten143*cMT**2d0*coupl(nGC_219)**2d0*(cMHH**2d0 - rMHH**  &
               2d0) + 4d0*Nc*Ten144*cMD**2d0*coupl(nGC_203)**2d0*(cMHH**2d0 -  &
               rMHH**2d0) + 4d0*Nc*Ten145*cMS**2d0*coupl(nGC_215)**2d0*(cMHH** &
               2d0 - rMHH**2d0) + 4d0*Nc*Ten146*cMB**2d0*coupl(nGC_195)**2d0*( &
               cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten159*coupl(nGC_227)**2d0*rMHH &
               **2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*Ten160*coupl(nGC_227)** &
               2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten161*coupl(nGC_227)**2d0*&
               rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten162*coupl(nGC_199 &
               )**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*Ten163*coupl(&
               nGC_199)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten164*coupl(    &
               nGC_199)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten165*&
               coupl(nGC_219)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*&
               Ten166*coupl(nGC_219)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*    &
               Ten167*coupl(nGC_219)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               4d0*Nc*Ten168*coupl(nGC_203)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH** &
               2d0) + 16d0*Nc*Ten169*coupl(nGC_203)**2d0*(cMHH**2d0 - rMHH**2d0&
               ) + 4d0*Nc*Ten170*coupl(nGC_203)**2d0*rMHH**2d0*(cMHH**2d0 -    &
               rMHH**2d0) + 4d0*Nc*Ten171*coupl(nGC_215)**2d0*rMHH**2d0*(cMHH**&
               2d0 - rMHH**2d0) + 16d0*Nc*Ten172*coupl(nGC_215)**2d0*(cMHH**2d0&
                - rMHH**2d0) + 4d0*Nc*Ten173*coupl(nGC_215)**2d0*rMHH**2d0*(   &
               cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten174*coupl(nGC_195)**2d0*rMHH &
               **2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*Ten175*coupl(nGC_195)** &
               2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten176*coupl(nGC_195)**2d0*&
               rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + cima*Ten0*coupl(nGC_36)/2d0 &
                + cima*Ten1*(-2d0*coupl(nGC_144) - 4d0*coupl(nGC_145) + coupl( &
               nGC_44))/2d0 + 4d0*Ten100*cME**2d0*coupl(nGC_207)**2d0 + 4d0*   &
               Ten101*cMM**2d0*coupl(nGC_211)**2d0 + 4d0*Ten102*cMTA**2d0*coupl&
               (nGC_223)**2d0 + 4d0*Ten109*cMHH**2d0*coupl(nGC_207)**2d0 + 16d0&
               *Ten110*coupl(nGC_207)**2d0 + 4d0*Ten111*cMHH**2d0*coupl(nGC_207&
               )**2d0 + 4d0*Ten112*cMHH**2d0*coupl(nGC_211)**2d0 + 16d0*Ten113*&
               coupl(nGC_211)**2d0 + 4d0*Ten114*cMHH**2d0*coupl(nGC_211)**2d0  &
                + 4d0*Ten115*cMHH**2d0*coupl(nGC_223)**2d0 + 16d0*Ten116*coupl(&
               nGC_223)**2d0 + 4d0*Ten117*cMHH**2d0*coupl(nGC_223)**2d0 +      &
               Ten136*(-4d0*cMHH**2d0*coupl(nGC_130)**2d0*rMHH**2d0 + cMHH**2d0&
               *coupl(nGC_174)**2d0 - 2d0*cMHH**2d0*coupl(nGC_175)**2d0 - cMHH &
               **2d0*coupl(nGC_188)**2d0/2d0 + 4d0*coupl(nGC_130)**2d0*rMHH**  &
               4d0 - coupl(nGC_174)**2d0*rMHH**2d0 + 2d0*coupl(nGC_175)**2d0*  &
               rMHH**2d0 + coupl(nGC_188)**2d0*rMHH**2d0/2d0) + Ten137*(-8d0*  &
               cMHH**2d0*coupl(nGC_100)*coupl(nGC_101)*rMHH**2d0 + 2d0*cMHH**  &
               2d0*coupl(nGC_161)**2d0 - 4d0*cMHH**2d0*coupl(nGC_162)**2d0 -   &
               cMHH**2d0*coupl(nGC_187)**2d0 + 8d0*coupl(nGC_100)*coupl(nGC_101&
               )*rMHH**4d0 - 2d0*coupl(nGC_161)**2d0*rMHH**2d0 + 4d0*coupl(    &
               nGC_162)**2d0*rMHH**2d0 + coupl(nGC_187)**2d0*rMHH**2d0) + 4d0* &
               Ten138*cME**2d0*coupl(nGC_207)**2d0*(cMHH**2d0 - rMHH**2d0) +   &
               4d0*Ten139*cMM**2d0*coupl(nGC_211)**2d0*(cMHH**2d0 - rMHH**2d0  &
               ) + 4d0*Ten140*cMTA**2d0*coupl(nGC_223)**2d0*(cMHH**2d0 - rMHH**&
               2d0) + Ten147*coupl(nGC_192)**2d0*(-cMHH**2d0 + rMHH**2d0)/2d0  &
                + Ten148*coupl(nGC_189)**2d0*(-cMHH**2d0 + rMHH**2d0) + Ten149*&
               coupl(nGC_191)**2d0*(-cMHH**2d0 + rMHH**2d0)/2d0 + 4d0*Ten150*  &
               coupl(nGC_207)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*   &
               Ten151*coupl(nGC_207)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Ten152*&
               coupl(nGC_207)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*    &
               Ten153*coupl(nGC_211)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               16d0*Ten154*coupl(nGC_211)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*  &
               Ten155*coupl(nGC_211)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               4d0*Ten156*coupl(nGC_223)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0 &
               ) + 16d0*Ten157*coupl(nGC_223)**2d0*(cMHH**2d0 - rMHH**2d0) +   &
               4d0*Ten158*coupl(nGC_223)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0 &
               ) + cima*Ten2*coupl(nGC_35)/2d0 + cima*Ten3*(coupl(nGC_43) - 2d0&
               *coupl(nGC_81) - 4d0*coupl(nGC_82)) + Ten95*(-4d0*cMHH**2d0*    &
               coupl(nGC_130)**2d0 + coupl(nGC_174)**2d0 - 2d0*coupl(nGC_175)**&
               2d0 - coupl(nGC_188)**2d0/2d0) + Ten96*(-8d0*cMHH**2d0*coupl(   &
               nGC_100)*coupl(nGC_101) + 2d0*coupl(nGC_161)**2d0 - 4d0*coupl(  &
               nGC_162)**2d0 - coupl(nGC_187)**2d0) - Ten97*coupl(nGC_192)**2d0&
               /2d0 - Ten98*coupl(nGC_189)**2d0 - Ten99*coupl(nGC_191)**2d0/2d0&
                + pi**2d0*(-4d0*Nc*cMB**2d0*coupl(nGC_195)**2d0/pi**2d0 - 4d0* &
               Nc*cMC**2d0*coupl(nGC_199)**2d0/pi**2d0 - 4d0*Nc*cMD**2d0*coupl(&
               nGC_203)**2d0/pi**2d0 + 2d0*Nc*cMHH**2d0*coupl(nGC_195)**2d0/(  &
               3d0*pi**2d0) + 2d0*Nc*cMHH**2d0*coupl(nGC_199)**2d0/(3d0*pi**2d0&
               ) + 2d0*Nc*cMHH**2d0*coupl(nGC_203)**2d0/(3d0*pi**2d0) + 2d0*Nc*&
               cMHH**2d0*coupl(nGC_215)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHH**2d0* &
               coupl(nGC_219)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHH**2d0*coupl(     &
               nGC_227)**2d0/(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_215)**  &
               2d0/pi**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_219)**2d0/pi**2d0 - 4d0*&
               Nc*cMU**2d0*coupl(nGC_227)**2d0/pi**2d0 - 4d0*cME**2d0*coupl(   &
               nGC_207)**2d0/pi**2d0 + 2d0*cMHH**2d0*coupl(nGC_207)**2d0/(3d0* &
               pi**2d0) + 2d0*cMHH**2d0*coupl(nGC_211)**2d0/(3d0*pi**2d0) + 2d0&
               *cMHH**2d0*coupl(nGC_223)**2d0/(3d0*pi**2d0) - 4d0*cMM**2d0*    &
               coupl(nGC_211)**2d0/pi**2d0 - 4d0*cMTA**2d0*coupl(nGC_223)**2d0/&
               pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_82)/pi**2d0 + cima*cMZ**  &
               2d0*coupl(nGC_145)/pi**2d0 + 2d0*coupl(nGC_162)**2d0/pi**2d0 +  &
               coupl(nGC_175)**2d0/pi**2d0))/(16d0*pi**2d0) + cima*coupl(      &
               nGC_189)*dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_191)*dtHh_QED1/   &
               cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHH2_QED2 = cone*real(dMHH2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter145
end module ctparameter145
