!******************************************************************************!
!                                                                              !
!    ctparameter176.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter176.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter176
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter176()
  if (dtb_QED2_scheme .eq. 3) then
    dtb_QED2 = ca*dZHhHl_QED2*sa*tb + ca*dZHlHh_QED2*sa*tb + dZHh_QED2*tb*(-ca &
               **2d0 + sa**2d0)/2d0 + dZHl_QED2*tb*(ca**2d0 - sa**2d0)/2d0 +   &
               dtHl_QED1*(ca + sa*tb)/(cMHL**2d0*vev) + dtHh_QED1*(-ca*tb + sa &
               )/(cMHH**2d0*vev)
    if (.not. complex_mass_scheme) then
      dtb_QED2 = cone*real(dtb_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter176
end module ctparameter176
