!******************************************************************************!
!                                                                              !
!    ctparameter72.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter72.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter72
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter72()
  dtHl_QED1 = (4d0*cima*Nc*Ten10*cMD*coupl(nGC_204) + 4d0*cima*Nc*Ten11*cMS*   &
              coupl(nGC_216) + 4d0*cima*Nc*Ten12*cMB*coupl(nGC_196) + 4d0*cima*&
              Nc*Ten7*cMU*coupl(nGC_228) + 4d0*cima*Nc*Ten8*cMC*coupl(nGC_200  &
              ) + 4d0*cima*Nc*Ten9*cMT*coupl(nGC_220) - cima*Ten0*coupl(nGC_190&
              )/2d0 + cima*Ten1*(4d0*coupl(nGC_177) + 2d0*coupl(nGC_178) -     &
              coupl(nGC_183))/2d0 - cima*Ten2*coupl(nGC_189)/2d0 + cima*Ten3*( &
              4d0*coupl(nGC_164) + 2d0*coupl(nGC_165) - coupl(nGC_182)) + 4d0* &
              cima*Ten4*cME*coupl(nGC_208) + 4d0*cima*Ten5*cMM*coupl(nGC_212   &
              ) + 4d0*cima*Ten6*cMTA*coupl(nGC_224) + pi**2d0*(-2d0*cima*cMW** &
              2d0*coupl(nGC_164)/pi**2d0 - cima*cMZ**2d0*coupl(nGC_177)/pi**2d0&
              ))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_QED1 = cone*real(dtHl_QED1,kind=dp)
    end if 
end subroutine set_ctparameter72
end module ctparameter72
