!******************************************************************************!
!                                                                              !
!    ctparameter81.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter81.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-16 10:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter81
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter81()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten219*cMU*coupl(nGC_2)**2d0 + Ten220*cMU*(-coupl(nGC_123  &
               )**2d0 + 4d0*coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_126)**2d0&
               ) + Ten221*(-cMD*coupl(nGC_201)*coupl(nGC_225) - cMU*coupl(     &
               nGC_201)**2d0/2d0 - cMU*coupl(nGC_225)**2d0/2d0 - cMU*coupl(    &
               nGC_99)**2d0) + Ten222*cMU*coupl(nGC_227)**2d0 + Ten223*cMU*    &
               coupl(nGC_228)**2d0 - 2d0*Ten224*cMU*coupl(nGC_2)**2d0 + Ten225*&
               cMU*(-coupl(nGC_123)**2d0 - coupl(nGC_126)**2d0 + coupl(nGC_226 &
               )**2d0) + Ten226*cMU*(-coupl(nGC_201)**2d0 - coupl(nGC_225)**2d0&
                - 2d0*coupl(nGC_99)**2d0)/2d0 - Ten227*cMU*coupl(nGC_227)**2d0 &
                - Ten228*cMU*coupl(nGC_228)**2d0 + pi**2d0*(cMU*coupl(nGC_123  &
               )**2d0/(2d0*pi**2d0) - 2d0*cMU*coupl(nGC_123)*coupl(nGC_126)/pi &
               **2d0 + cMU*coupl(nGC_126)**2d0/(2d0*pi**2d0) - cMU*coupl(nGC_2 &
               )**2d0/pi**2d0 + cMU*coupl(nGC_99)**2d0/(2d0*pi**2d0)))/(16d0*pi&
               **2d0) + cima*coupl(nGC_228)*dtHl_QED1/cMHL**2d0 + cima*coupl(  &
               nGC_227)*dtHh_QED1/cMHH**2d0
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter81
end module ctparameter81
